#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ADC_DEC */
#define ADC_DEC__COHER CYREG_DEC_COHER
#define ADC_DEC__CR CYREG_DEC_CR
#define ADC_DEC__DR1 CYREG_DEC_DR1
#define ADC_DEC__DR2 CYREG_DEC_DR2
#define ADC_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DEC__SR CYREG_DEC_SR
#define ADC_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_DSM */
#define ADC_DSM__BUF0 CYREG_DSM0_BUF0
#define ADC_DSM__BUF1 CYREG_DSM0_BUF1
#define ADC_DSM__BUF2 CYREG_DSM0_BUF2
#define ADC_DSM__BUF3 CYREG_DSM0_BUF3
#define ADC_DSM__CLK CYREG_DSM0_CLK
#define ADC_DSM__CR0 CYREG_DSM0_CR0
#define ADC_DSM__CR1 CYREG_DSM0_CR1
#define ADC_DSM__CR10 CYREG_DSM0_CR10
#define ADC_DSM__CR11 CYREG_DSM0_CR11
#define ADC_DSM__CR12 CYREG_DSM0_CR12
#define ADC_DSM__CR13 CYREG_DSM0_CR13
#define ADC_DSM__CR14 CYREG_DSM0_CR14
#define ADC_DSM__CR15 CYREG_DSM0_CR15
#define ADC_DSM__CR16 CYREG_DSM0_CR16
#define ADC_DSM__CR17 CYREG_DSM0_CR17
#define ADC_DSM__CR2 CYREG_DSM0_CR2
#define ADC_DSM__CR3 CYREG_DSM0_CR3
#define ADC_DSM__CR4 CYREG_DSM0_CR4
#define ADC_DSM__CR5 CYREG_DSM0_CR5
#define ADC_DSM__CR6 CYREG_DSM0_CR6
#define ADC_DSM__CR7 CYREG_DSM0_CR7
#define ADC_DSM__CR8 CYREG_DSM0_CR8
#define ADC_DSM__CR9 CYREG_DSM0_CR9
#define ADC_DSM__DEM0 CYREG_DSM0_DEM0
#define ADC_DSM__DEM1 CYREG_DSM0_DEM1
#define ADC_DSM__MISC CYREG_DSM0_MISC
#define ADC_DSM__OUT0 CYREG_DSM0_OUT0
#define ADC_DSM__OUT1 CYREG_DSM0_OUT1
#define ADC_DSM__REF0 CYREG_DSM0_REF0
#define ADC_DSM__REF1 CYREG_DSM0_REF1
#define ADC_DSM__REF2 CYREG_DSM0_REF2
#define ADC_DSM__REF3 CYREG_DSM0_REF3
#define ADC_DSM__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DSM__SW0 CYREG_DSM0_SW0
#define ADC_DSM__SW2 CYREG_DSM0_SW2
#define ADC_DSM__SW3 CYREG_DSM0_SW3
#define ADC_DSM__SW4 CYREG_DSM0_SW4
#define ADC_DSM__SW6 CYREG_DSM0_SW6
#define ADC_DSM__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DSM__TST0 CYREG_DSM0_TST0
#define ADC_DSM__TST1 CYREG_DSM0_TST1

/* ADC_Ext_CP_Clk */
#define ADC_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Ext_CP_Clk__INDEX 0x00u
#define ADC_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_theACLK__INDEX 0x00u
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* FAN_ON */
#define FAN_ON__0__MASK 0x04u
#define FAN_ON__0__PC CYREG_PRT5_PC2
#define FAN_ON__0__PORT 5u
#define FAN_ON__0__SHIFT 2
#define FAN_ON__AG CYREG_PRT5_AG
#define FAN_ON__AMUX CYREG_PRT5_AMUX
#define FAN_ON__BIE CYREG_PRT5_BIE
#define FAN_ON__BIT_MASK CYREG_PRT5_BIT_MASK
#define FAN_ON__BYP CYREG_PRT5_BYP
#define FAN_ON__CTL CYREG_PRT5_CTL
#define FAN_ON__DM0 CYREG_PRT5_DM0
#define FAN_ON__DM1 CYREG_PRT5_DM1
#define FAN_ON__DM2 CYREG_PRT5_DM2
#define FAN_ON__DR CYREG_PRT5_DR
#define FAN_ON__INP_DIS CYREG_PRT5_INP_DIS
#define FAN_ON__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define FAN_ON__LCD_EN CYREG_PRT5_LCD_EN
#define FAN_ON__MASK 0x04u
#define FAN_ON__PORT 5u
#define FAN_ON__PRT CYREG_PRT5_PRT
#define FAN_ON__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define FAN_ON__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define FAN_ON__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define FAN_ON__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define FAN_ON__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define FAN_ON__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define FAN_ON__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define FAN_ON__PS CYREG_PRT5_PS
#define FAN_ON__SHIFT 2
#define FAN_ON__SLW CYREG_PRT5_SLW

/* FAN_OUT */
#define FAN_OUT__0__MASK 0x08u
#define FAN_OUT__0__PC CYREG_PRT5_PC3
#define FAN_OUT__0__PORT 5u
#define FAN_OUT__0__SHIFT 3
#define FAN_OUT__AG CYREG_PRT5_AG
#define FAN_OUT__AMUX CYREG_PRT5_AMUX
#define FAN_OUT__BIE CYREG_PRT5_BIE
#define FAN_OUT__BIT_MASK CYREG_PRT5_BIT_MASK
#define FAN_OUT__BYP CYREG_PRT5_BYP
#define FAN_OUT__CTL CYREG_PRT5_CTL
#define FAN_OUT__DM0 CYREG_PRT5_DM0
#define FAN_OUT__DM1 CYREG_PRT5_DM1
#define FAN_OUT__DM2 CYREG_PRT5_DM2
#define FAN_OUT__DR CYREG_PRT5_DR
#define FAN_OUT__INP_DIS CYREG_PRT5_INP_DIS
#define FAN_OUT__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define FAN_OUT__LCD_EN CYREG_PRT5_LCD_EN
#define FAN_OUT__MASK 0x08u
#define FAN_OUT__PORT 5u
#define FAN_OUT__PRT CYREG_PRT5_PRT
#define FAN_OUT__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define FAN_OUT__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define FAN_OUT__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define FAN_OUT__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define FAN_OUT__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define FAN_OUT__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define FAN_OUT__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define FAN_OUT__PS CYREG_PRT5_PS
#define FAN_OUT__SHIFT 3
#define FAN_OUT__SLW CYREG_PRT5_SLW

/* FAN_TCH */
#define FAN_TCH__0__MASK 0x10u
#define FAN_TCH__0__PC CYREG_PRT5_PC4
#define FAN_TCH__0__PORT 5u
#define FAN_TCH__0__SHIFT 4
#define FAN_TCH__AG CYREG_PRT5_AG
#define FAN_TCH__AMUX CYREG_PRT5_AMUX
#define FAN_TCH__BIE CYREG_PRT5_BIE
#define FAN_TCH__BIT_MASK CYREG_PRT5_BIT_MASK
#define FAN_TCH__BYP CYREG_PRT5_BYP
#define FAN_TCH__CTL CYREG_PRT5_CTL
#define FAN_TCH__DM0 CYREG_PRT5_DM0
#define FAN_TCH__DM1 CYREG_PRT5_DM1
#define FAN_TCH__DM2 CYREG_PRT5_DM2
#define FAN_TCH__DR CYREG_PRT5_DR
#define FAN_TCH__INP_DIS CYREG_PRT5_INP_DIS
#define FAN_TCH__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define FAN_TCH__LCD_EN CYREG_PRT5_LCD_EN
#define FAN_TCH__MASK 0x10u
#define FAN_TCH__PORT 5u
#define FAN_TCH__PRT CYREG_PRT5_PRT
#define FAN_TCH__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define FAN_TCH__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define FAN_TCH__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define FAN_TCH__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define FAN_TCH__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define FAN_TCH__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define FAN_TCH__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define FAN_TCH__PS CYREG_PRT5_PS
#define FAN_TCH__SHIFT 4
#define FAN_TCH__SLW CYREG_PRT5_SLW

/* Key */
#define Key__0__MASK 0x01u
#define Key__0__PC CYREG_PRT4_PC0
#define Key__0__PORT 4u
#define Key__0__SHIFT 0
#define Key__1__MASK 0x02u
#define Key__1__PC CYREG_PRT4_PC1
#define Key__1__PORT 4u
#define Key__1__SHIFT 1
#define Key__2__MASK 0x04u
#define Key__2__PC CYREG_PRT4_PC2
#define Key__2__PORT 4u
#define Key__2__SHIFT 2
#define Key__3__MASK 0x08u
#define Key__3__PC CYREG_PRT4_PC3
#define Key__3__PORT 4u
#define Key__3__SHIFT 3
#define Key__4__MASK 0x10u
#define Key__4__PC CYREG_PRT4_PC4
#define Key__4__PORT 4u
#define Key__4__SHIFT 4
#define Key__5__MASK 0x20u
#define Key__5__PC CYREG_PRT4_PC5
#define Key__5__PORT 4u
#define Key__5__SHIFT 5
#define Key__AG CYREG_PRT4_AG
#define Key__AMUX CYREG_PRT4_AMUX
#define Key__BIE CYREG_PRT4_BIE
#define Key__BIT_MASK CYREG_PRT4_BIT_MASK
#define Key__BYP CYREG_PRT4_BYP
#define Key__CTL CYREG_PRT4_CTL
#define Key__DM0 CYREG_PRT4_DM0
#define Key__DM1 CYREG_PRT4_DM1
#define Key__DM2 CYREG_PRT4_DM2
#define Key__DR CYREG_PRT4_DR
#define Key__INP_DIS CYREG_PRT4_INP_DIS
#define Key__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Key__LCD_EN CYREG_PRT4_LCD_EN
#define Key__MASK 0x3Fu
#define Key__PORT 4u
#define Key__PRT CYREG_PRT4_PRT
#define Key__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Key__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Key__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Key__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Key__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Key__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Key__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Key__PS CYREG_PRT4_PS
#define Key__SHIFT 0
#define Key__SLW CYREG_PRT4_SLW

/* LED_S */
#define LED_S__0__MASK 0x01u
#define LED_S__0__PC CYREG_PRT0_PC0
#define LED_S__0__PORT 0u
#define LED_S__0__SHIFT 0
#define LED_S__1__MASK 0x02u
#define LED_S__1__PC CYREG_PRT0_PC1
#define LED_S__1__PORT 0u
#define LED_S__1__SHIFT 1
#define LED_S__2__MASK 0x04u
#define LED_S__2__PC CYREG_PRT0_PC2
#define LED_S__2__PORT 0u
#define LED_S__2__SHIFT 2
#define LED_S__3__MASK 0x08u
#define LED_S__3__PC CYREG_PRT0_PC3
#define LED_S__3__PORT 0u
#define LED_S__3__SHIFT 3
#define LED_S__4__MASK 0x10u
#define LED_S__4__PC CYREG_PRT0_PC4
#define LED_S__4__PORT 0u
#define LED_S__4__SHIFT 4
#define LED_S__5__MASK 0x20u
#define LED_S__5__PC CYREG_PRT0_PC5
#define LED_S__5__PORT 0u
#define LED_S__5__SHIFT 5
#define LED_S__6__MASK 0x40u
#define LED_S__6__PC CYREG_PRT0_PC6
#define LED_S__6__PORT 0u
#define LED_S__6__SHIFT 6
#define LED_S__7__MASK 0x80u
#define LED_S__7__PC CYREG_PRT0_PC7
#define LED_S__7__PORT 0u
#define LED_S__7__SHIFT 7
#define LED_S__AG CYREG_PRT0_AG
#define LED_S__AMUX CYREG_PRT0_AMUX
#define LED_S__BIE CYREG_PRT0_BIE
#define LED_S__BIT_MASK CYREG_PRT0_BIT_MASK
#define LED_S__BYP CYREG_PRT0_BYP
#define LED_S__CTL CYREG_PRT0_CTL
#define LED_S__DM0 CYREG_PRT0_DM0
#define LED_S__DM1 CYREG_PRT0_DM1
#define LED_S__DM2 CYREG_PRT0_DM2
#define LED_S__DR CYREG_PRT0_DR
#define LED_S__INP_DIS CYREG_PRT0_INP_DIS
#define LED_S__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define LED_S__LCD_EN CYREG_PRT0_LCD_EN
#define LED_S__MASK 0xFFu
#define LED_S__PORT 0u
#define LED_S__PRT CYREG_PRT0_PRT
#define LED_S__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define LED_S__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define LED_S__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define LED_S__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define LED_S__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define LED_S__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define LED_S__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define LED_S__PS CYREG_PRT0_PS
#define LED_S__SHIFT 0
#define LED_S__SLW CYREG_PRT0_SLW

/* MeasAC */
#define MeasAC__0__MASK 0x04u
#define MeasAC__0__PC CYREG_PRT3_PC2
#define MeasAC__0__PORT 3u
#define MeasAC__0__SHIFT 2
#define MeasAC__AG CYREG_PRT3_AG
#define MeasAC__AMUX CYREG_PRT3_AMUX
#define MeasAC__BIE CYREG_PRT3_BIE
#define MeasAC__BIT_MASK CYREG_PRT3_BIT_MASK
#define MeasAC__BYP CYREG_PRT3_BYP
#define MeasAC__CTL CYREG_PRT3_CTL
#define MeasAC__DM0 CYREG_PRT3_DM0
#define MeasAC__DM1 CYREG_PRT3_DM1
#define MeasAC__DM2 CYREG_PRT3_DM2
#define MeasAC__DR CYREG_PRT3_DR
#define MeasAC__INP_DIS CYREG_PRT3_INP_DIS
#define MeasAC__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define MeasAC__LCD_EN CYREG_PRT3_LCD_EN
#define MeasAC__MASK 0x04u
#define MeasAC__PORT 3u
#define MeasAC__PRT CYREG_PRT3_PRT
#define MeasAC__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define MeasAC__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define MeasAC__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define MeasAC__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define MeasAC__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define MeasAC__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define MeasAC__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define MeasAC__PS CYREG_PRT3_PS
#define MeasAC__SHIFT 2
#define MeasAC__SLW CYREG_PRT3_SLW

/* SysClk */
#define SysClk__CFG0 CYREG_CLKDIST_DCFG5_CFG0
#define SysClk__CFG1 CYREG_CLKDIST_DCFG5_CFG1
#define SysClk__CFG2 CYREG_CLKDIST_DCFG5_CFG2
#define SysClk__CFG2_SRC_SEL_MASK 0x07u
#define SysClk__INDEX 0x05u
#define SysClk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define SysClk__PM_ACT_MSK 0x20u
#define SysClk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define SysClk__PM_STBY_MSK 0x20u

/* LED_CMN */
#define LED_CMN__0__MASK 0x01u
#define LED_CMN__0__PC CYREG_PRT12_PC0
#define LED_CMN__0__PORT 12u
#define LED_CMN__0__SHIFT 0
#define LED_CMN__1__MASK 0x02u
#define LED_CMN__1__PC CYREG_PRT12_PC1
#define LED_CMN__1__PORT 12u
#define LED_CMN__1__SHIFT 1
#define LED_CMN__2__MASK 0x04u
#define LED_CMN__2__PC CYREG_PRT12_PC2
#define LED_CMN__2__PORT 12u
#define LED_CMN__2__SHIFT 2
#define LED_CMN__3__MASK 0x08u
#define LED_CMN__3__PC CYREG_PRT12_PC3
#define LED_CMN__3__PORT 12u
#define LED_CMN__3__SHIFT 3
#define LED_CMN__4__MASK 0x10u
#define LED_CMN__4__PC CYREG_PRT12_PC4
#define LED_CMN__4__PORT 12u
#define LED_CMN__4__SHIFT 4
#define LED_CMN__5__MASK 0x20u
#define LED_CMN__5__PC CYREG_PRT12_PC5
#define LED_CMN__5__PORT 12u
#define LED_CMN__5__SHIFT 5
#define LED_CMN__6__MASK 0x40u
#define LED_CMN__6__PC CYREG_PRT12_PC6
#define LED_CMN__6__PORT 12u
#define LED_CMN__6__SHIFT 6
#define LED_CMN__7__MASK 0x80u
#define LED_CMN__7__PC CYREG_PRT12_PC7
#define LED_CMN__7__PORT 12u
#define LED_CMN__7__SHIFT 7
#define LED_CMN__AG CYREG_PRT12_AG
#define LED_CMN__BIE CYREG_PRT12_BIE
#define LED_CMN__BIT_MASK CYREG_PRT12_BIT_MASK
#define LED_CMN__BYP CYREG_PRT12_BYP
#define LED_CMN__DM0 CYREG_PRT12_DM0
#define LED_CMN__DM1 CYREG_PRT12_DM1
#define LED_CMN__DM2 CYREG_PRT12_DM2
#define LED_CMN__DR CYREG_PRT12_DR
#define LED_CMN__INP_DIS CYREG_PRT12_INP_DIS
#define LED_CMN__PORT 12u
#define LED_CMN__PRT CYREG_PRT12_PRT
#define LED_CMN__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define LED_CMN__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define LED_CMN__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define LED_CMN__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define LED_CMN__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define LED_CMN__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define LED_CMN__PS CYREG_PRT12_PS
#define LED_CMN__SIO_CFG CYREG_PRT12_SIO_CFG
#define LED_CMN__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define LED_CMN__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define LED_CMN__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define LED_CMN__SLW CYREG_PRT12_SLW

/* OneWire_Pin */
#define OneWire_Pin__0__MASK 0x40u
#define OneWire_Pin__0__PC CYREG_PRT6_PC6
#define OneWire_Pin__0__PORT 6u
#define OneWire_Pin__0__SHIFT 6
#define OneWire_Pin__AG CYREG_PRT6_AG
#define OneWire_Pin__AMUX CYREG_PRT6_AMUX
#define OneWire_Pin__BIE CYREG_PRT6_BIE
#define OneWire_Pin__BIT_MASK CYREG_PRT6_BIT_MASK
#define OneWire_Pin__BYP CYREG_PRT6_BYP
#define OneWire_Pin__CTL CYREG_PRT6_CTL
#define OneWire_Pin__DM0 CYREG_PRT6_DM0
#define OneWire_Pin__DM1 CYREG_PRT6_DM1
#define OneWire_Pin__DM2 CYREG_PRT6_DM2
#define OneWire_Pin__DR CYREG_PRT6_DR
#define OneWire_Pin__INP_DIS CYREG_PRT6_INP_DIS
#define OneWire_Pin__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define OneWire_Pin__LCD_EN CYREG_PRT6_LCD_EN
#define OneWire_Pin__MASK 0x40u
#define OneWire_Pin__PORT 6u
#define OneWire_Pin__PRT CYREG_PRT6_PRT
#define OneWire_Pin__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define OneWire_Pin__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define OneWire_Pin__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define OneWire_Pin__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define OneWire_Pin__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define OneWire_Pin__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define OneWire_Pin__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define OneWire_Pin__PS CYREG_PRT6_PS
#define OneWire_Pin__SHIFT 6
#define OneWire_Pin__SLW CYREG_PRT6_SLW

/* SW_P6_1 */
#define SW_P6_1__0__MASK 0x02u
#define SW_P6_1__0__PC CYREG_PRT6_PC1
#define SW_P6_1__0__PORT 6u
#define SW_P6_1__0__SHIFT 1
#define SW_P6_1__AG CYREG_PRT6_AG
#define SW_P6_1__AMUX CYREG_PRT6_AMUX
#define SW_P6_1__BIE CYREG_PRT6_BIE
#define SW_P6_1__BIT_MASK CYREG_PRT6_BIT_MASK
#define SW_P6_1__BYP CYREG_PRT6_BYP
#define SW_P6_1__CTL CYREG_PRT6_CTL
#define SW_P6_1__DM0 CYREG_PRT6_DM0
#define SW_P6_1__DM1 CYREG_PRT6_DM1
#define SW_P6_1__DM2 CYREG_PRT6_DM2
#define SW_P6_1__DR CYREG_PRT6_DR
#define SW_P6_1__INP_DIS CYREG_PRT6_INP_DIS
#define SW_P6_1__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define SW_P6_1__LCD_EN CYREG_PRT6_LCD_EN
#define SW_P6_1__MASK 0x02u
#define SW_P6_1__PORT 6u
#define SW_P6_1__PRT CYREG_PRT6_PRT
#define SW_P6_1__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define SW_P6_1__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define SW_P6_1__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define SW_P6_1__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define SW_P6_1__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define SW_P6_1__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define SW_P6_1__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define SW_P6_1__PS CYREG_PRT6_PS
#define SW_P6_1__SHIFT 1
#define SW_P6_1__SLW CYREG_PRT6_SLW

/* VoutAdj */
#define VoutAdj__0__MASK 0x20u
#define VoutAdj__0__PC CYREG_PRT3_PC5
#define VoutAdj__0__PORT 3u
#define VoutAdj__0__SHIFT 5
#define VoutAdj__AG CYREG_PRT3_AG
#define VoutAdj__AMUX CYREG_PRT3_AMUX
#define VoutAdj__BIE CYREG_PRT3_BIE
#define VoutAdj__BIT_MASK CYREG_PRT3_BIT_MASK
#define VoutAdj__BYP CYREG_PRT3_BYP
#define VoutAdj__CTL CYREG_PRT3_CTL
#define VoutAdj__DM0 CYREG_PRT3_DM0
#define VoutAdj__DM1 CYREG_PRT3_DM1
#define VoutAdj__DM2 CYREG_PRT3_DM2
#define VoutAdj__DR CYREG_PRT3_DR
#define VoutAdj__INP_DIS CYREG_PRT3_INP_DIS
#define VoutAdj__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VoutAdj__LCD_EN CYREG_PRT3_LCD_EN
#define VoutAdj__MASK 0x20u
#define VoutAdj__PORT 3u
#define VoutAdj__PRT CYREG_PRT3_PRT
#define VoutAdj__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VoutAdj__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VoutAdj__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VoutAdj__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VoutAdj__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VoutAdj__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VoutAdj__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VoutAdj__PS CYREG_PRT3_PS
#define VoutAdj__SHIFT 5
#define VoutAdj__SLW CYREG_PRT3_SLW

/* VoutFbk */
#define VoutFbk__0__MASK 0x10u
#define VoutFbk__0__PC CYREG_PRT3_PC4
#define VoutFbk__0__PORT 3u
#define VoutFbk__0__SHIFT 4
#define VoutFbk__AG CYREG_PRT3_AG
#define VoutFbk__AMUX CYREG_PRT3_AMUX
#define VoutFbk__BIE CYREG_PRT3_BIE
#define VoutFbk__BIT_MASK CYREG_PRT3_BIT_MASK
#define VoutFbk__BYP CYREG_PRT3_BYP
#define VoutFbk__CTL CYREG_PRT3_CTL
#define VoutFbk__DM0 CYREG_PRT3_DM0
#define VoutFbk__DM1 CYREG_PRT3_DM1
#define VoutFbk__DM2 CYREG_PRT3_DM2
#define VoutFbk__DR CYREG_PRT3_DR
#define VoutFbk__INP_DIS CYREG_PRT3_INP_DIS
#define VoutFbk__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VoutFbk__LCD_EN CYREG_PRT3_LCD_EN
#define VoutFbk__MASK 0x10u
#define VoutFbk__PORT 3u
#define VoutFbk__PRT CYREG_PRT3_PRT
#define VoutFbk__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VoutFbk__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VoutFbk__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VoutFbk__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VoutFbk__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VoutFbk__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VoutFbk__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VoutFbk__PS CYREG_PRT3_PS
#define VoutFbk__SHIFT 4
#define VoutFbk__SLW CYREG_PRT3_SLW

/* LCD_Char_LCDPort */
#define LCD_Char_LCDPort__0__MASK 0x01u
#define LCD_Char_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_Char_LCDPort__0__PORT 2u
#define LCD_Char_LCDPort__0__SHIFT 0
#define LCD_Char_LCDPort__1__MASK 0x02u
#define LCD_Char_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_Char_LCDPort__1__PORT 2u
#define LCD_Char_LCDPort__1__SHIFT 1
#define LCD_Char_LCDPort__2__MASK 0x04u
#define LCD_Char_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_Char_LCDPort__2__PORT 2u
#define LCD_Char_LCDPort__2__SHIFT 2
#define LCD_Char_LCDPort__3__MASK 0x08u
#define LCD_Char_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_Char_LCDPort__3__PORT 2u
#define LCD_Char_LCDPort__3__SHIFT 3
#define LCD_Char_LCDPort__4__MASK 0x10u
#define LCD_Char_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_Char_LCDPort__4__PORT 2u
#define LCD_Char_LCDPort__4__SHIFT 4
#define LCD_Char_LCDPort__5__MASK 0x20u
#define LCD_Char_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_Char_LCDPort__5__PORT 2u
#define LCD_Char_LCDPort__5__SHIFT 5
#define LCD_Char_LCDPort__6__MASK 0x40u
#define LCD_Char_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_Char_LCDPort__6__PORT 2u
#define LCD_Char_LCDPort__6__SHIFT 6
#define LCD_Char_LCDPort__AG CYREG_PRT2_AG
#define LCD_Char_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_Char_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_Char_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_Char_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_Char_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_Char_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_Char_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_Char_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_Char_LCDPort__DR CYREG_PRT2_DR
#define LCD_Char_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_Char_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_Char_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_Char_LCDPort__MASK 0x7Fu
#define LCD_Char_LCDPort__PORT 2u
#define LCD_Char_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_Char_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_Char_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_Char_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_Char_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_Char_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_Char_LCDPort__PS CYREG_PRT2_PS
#define LCD_Char_LCDPort__SHIFT 0
#define LCD_Char_LCDPort__SLW CYREG_PRT2_SLW

/* LED_P6_2 */
#define LED_P6_2__0__MASK 0x04u
#define LED_P6_2__0__PC CYREG_PRT6_PC2
#define LED_P6_2__0__PORT 6u
#define LED_P6_2__0__SHIFT 2
#define LED_P6_2__AG CYREG_PRT6_AG
#define LED_P6_2__AMUX CYREG_PRT6_AMUX
#define LED_P6_2__BIE CYREG_PRT6_BIE
#define LED_P6_2__BIT_MASK CYREG_PRT6_BIT_MASK
#define LED_P6_2__BYP CYREG_PRT6_BYP
#define LED_P6_2__CTL CYREG_PRT6_CTL
#define LED_P6_2__DM0 CYREG_PRT6_DM0
#define LED_P6_2__DM1 CYREG_PRT6_DM1
#define LED_P6_2__DM2 CYREG_PRT6_DM2
#define LED_P6_2__DR CYREG_PRT6_DR
#define LED_P6_2__INP_DIS CYREG_PRT6_INP_DIS
#define LED_P6_2__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define LED_P6_2__LCD_EN CYREG_PRT6_LCD_EN
#define LED_P6_2__MASK 0x04u
#define LED_P6_2__PORT 6u
#define LED_P6_2__PRT CYREG_PRT6_PRT
#define LED_P6_2__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define LED_P6_2__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define LED_P6_2__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define LED_P6_2__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define LED_P6_2__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define LED_P6_2__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define LED_P6_2__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define LED_P6_2__PS CYREG_PRT6_PS
#define LED_P6_2__SHIFT 2
#define LED_P6_2__SLW CYREG_PRT6_SLW

/* LED_P6_3 */
#define LED_P6_3__0__MASK 0x08u
#define LED_P6_3__0__PC CYREG_PRT6_PC3
#define LED_P6_3__0__PORT 6u
#define LED_P6_3__0__SHIFT 3
#define LED_P6_3__AG CYREG_PRT6_AG
#define LED_P6_3__AMUX CYREG_PRT6_AMUX
#define LED_P6_3__BIE CYREG_PRT6_BIE
#define LED_P6_3__BIT_MASK CYREG_PRT6_BIT_MASK
#define LED_P6_3__BYP CYREG_PRT6_BYP
#define LED_P6_3__CTL CYREG_PRT6_CTL
#define LED_P6_3__DM0 CYREG_PRT6_DM0
#define LED_P6_3__DM1 CYREG_PRT6_DM1
#define LED_P6_3__DM2 CYREG_PRT6_DM2
#define LED_P6_3__DR CYREG_PRT6_DR
#define LED_P6_3__INP_DIS CYREG_PRT6_INP_DIS
#define LED_P6_3__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define LED_P6_3__LCD_EN CYREG_PRT6_LCD_EN
#define LED_P6_3__MASK 0x08u
#define LED_P6_3__PORT 6u
#define LED_P6_3__PRT CYREG_PRT6_PRT
#define LED_P6_3__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define LED_P6_3__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define LED_P6_3__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define LED_P6_3__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define LED_P6_3__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define LED_P6_3__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define LED_P6_3__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define LED_P6_3__PS CYREG_PRT6_PS
#define LED_P6_3__SHIFT 3
#define LED_P6_3__SLW CYREG_PRT6_SLW

/* MAIN_PWR */
#define MAIN_PWR__0__MASK 0x80u
#define MAIN_PWR__0__PC CYREG_PRT5_PC7
#define MAIN_PWR__0__PORT 5u
#define MAIN_PWR__0__SHIFT 7
#define MAIN_PWR__AG CYREG_PRT5_AG
#define MAIN_PWR__AMUX CYREG_PRT5_AMUX
#define MAIN_PWR__BIE CYREG_PRT5_BIE
#define MAIN_PWR__BIT_MASK CYREG_PRT5_BIT_MASK
#define MAIN_PWR__BYP CYREG_PRT5_BYP
#define MAIN_PWR__CTL CYREG_PRT5_CTL
#define MAIN_PWR__DM0 CYREG_PRT5_DM0
#define MAIN_PWR__DM1 CYREG_PRT5_DM1
#define MAIN_PWR__DM2 CYREG_PRT5_DM2
#define MAIN_PWR__DR CYREG_PRT5_DR
#define MAIN_PWR__INP_DIS CYREG_PRT5_INP_DIS
#define MAIN_PWR__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define MAIN_PWR__LCD_EN CYREG_PRT5_LCD_EN
#define MAIN_PWR__MASK 0x80u
#define MAIN_PWR__PORT 5u
#define MAIN_PWR__PRT CYREG_PRT5_PRT
#define MAIN_PWR__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define MAIN_PWR__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define MAIN_PWR__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define MAIN_PWR__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define MAIN_PWR__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define MAIN_PWR__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define MAIN_PWR__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define MAIN_PWR__PS CYREG_PRT5_PS
#define MAIN_PWR__SHIFT 7
#define MAIN_PWR__SLW CYREG_PRT5_SLW

/* MouseClk */
#define MouseClk__0__MASK 0x40u
#define MouseClk__0__PC CYREG_PRT1_PC6
#define MouseClk__0__PORT 1u
#define MouseClk__0__SHIFT 6
#define MouseClk__AG CYREG_PRT1_AG
#define MouseClk__AMUX CYREG_PRT1_AMUX
#define MouseClk__BIE CYREG_PRT1_BIE
#define MouseClk__BIT_MASK CYREG_PRT1_BIT_MASK
#define MouseClk__BYP CYREG_PRT1_BYP
#define MouseClk__CTL CYREG_PRT1_CTL
#define MouseClk__DM0 CYREG_PRT1_DM0
#define MouseClk__DM1 CYREG_PRT1_DM1
#define MouseClk__DM2 CYREG_PRT1_DM2
#define MouseClk__DR CYREG_PRT1_DR
#define MouseClk__INP_DIS CYREG_PRT1_INP_DIS
#define MouseClk__INTSTAT CYREG_PICU1_INTSTAT
#define MouseClk__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define MouseClk__LCD_EN CYREG_PRT1_LCD_EN
#define MouseClk__MASK 0x40u
#define MouseClk__PORT 1u
#define MouseClk__PRT CYREG_PRT1_PRT
#define MouseClk__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define MouseClk__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define MouseClk__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define MouseClk__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define MouseClk__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define MouseClk__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define MouseClk__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define MouseClk__PS CYREG_PRT1_PS
#define MouseClk__SHIFT 6
#define MouseClk__SLW CYREG_PRT1_SLW
#define MouseClk__SNAP CYREG_PICU1_SNAP

/* MouseISR */
#define MouseISR__ES2_PATCH 0u
#define MouseISR__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define MouseISR__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define MouseISR__INTC_MASK 0x20u
#define MouseISR__INTC_NUMBER 5u
#define MouseISR__INTC_PRIOR_NUM 7u
#define MouseISR__INTC_PRIOR_REG CYREG_INTC_PRIOR5
#define MouseISR__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define MouseISR__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define MouseISR__INTC_VECT (CYREG_INTC_VECT_MBASE+0x0Au)

/* OUT_ON_R */
#define OUT_ON_R__0__MASK 0x01u
#define OUT_ON_R__0__PC CYREG_PRT5_PC0
#define OUT_ON_R__0__PORT 5u
#define OUT_ON_R__0__SHIFT 0
#define OUT_ON_R__AG CYREG_PRT5_AG
#define OUT_ON_R__AMUX CYREG_PRT5_AMUX
#define OUT_ON_R__BIE CYREG_PRT5_BIE
#define OUT_ON_R__BIT_MASK CYREG_PRT5_BIT_MASK
#define OUT_ON_R__BYP CYREG_PRT5_BYP
#define OUT_ON_R__CTL CYREG_PRT5_CTL
#define OUT_ON_R__DM0 CYREG_PRT5_DM0
#define OUT_ON_R__DM1 CYREG_PRT5_DM1
#define OUT_ON_R__DM2 CYREG_PRT5_DM2
#define OUT_ON_R__DR CYREG_PRT5_DR
#define OUT_ON_R__INP_DIS CYREG_PRT5_INP_DIS
#define OUT_ON_R__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define OUT_ON_R__LCD_EN CYREG_PRT5_LCD_EN
#define OUT_ON_R__MASK 0x01u
#define OUT_ON_R__PORT 5u
#define OUT_ON_R__PRT CYREG_PRT5_PRT
#define OUT_ON_R__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define OUT_ON_R__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define OUT_ON_R__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define OUT_ON_R__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define OUT_ON_R__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define OUT_ON_R__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define OUT_ON_R__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define OUT_ON_R__PS CYREG_PRT5_PS
#define OUT_ON_R__SHIFT 0
#define OUT_ON_R__SLW CYREG_PRT5_SLW

/* OUT_ON_S */
#define OUT_ON_S__0__MASK 0x02u
#define OUT_ON_S__0__PC CYREG_PRT5_PC1
#define OUT_ON_S__0__PORT 5u
#define OUT_ON_S__0__SHIFT 1
#define OUT_ON_S__AG CYREG_PRT5_AG
#define OUT_ON_S__AMUX CYREG_PRT5_AMUX
#define OUT_ON_S__BIE CYREG_PRT5_BIE
#define OUT_ON_S__BIT_MASK CYREG_PRT5_BIT_MASK
#define OUT_ON_S__BYP CYREG_PRT5_BYP
#define OUT_ON_S__CTL CYREG_PRT5_CTL
#define OUT_ON_S__DM0 CYREG_PRT5_DM0
#define OUT_ON_S__DM1 CYREG_PRT5_DM1
#define OUT_ON_S__DM2 CYREG_PRT5_DM2
#define OUT_ON_S__DR CYREG_PRT5_DR
#define OUT_ON_S__INP_DIS CYREG_PRT5_INP_DIS
#define OUT_ON_S__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define OUT_ON_S__LCD_EN CYREG_PRT5_LCD_EN
#define OUT_ON_S__MASK 0x02u
#define OUT_ON_S__PORT 5u
#define OUT_ON_S__PRT CYREG_PRT5_PRT
#define OUT_ON_S__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define OUT_ON_S__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define OUT_ON_S__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define OUT_ON_S__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define OUT_ON_S__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define OUT_ON_S__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define OUT_ON_S__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define OUT_ON_S__PS CYREG_PRT5_PS
#define OUT_ON_S__SHIFT 1
#define OUT_ON_S__SLW CYREG_PRT5_SLW

/* SW_P15_5 */
#define SW_P15_5__0__MASK 0x20u
#define SW_P15_5__0__PC CYREG_IO_PC_PRT15_PC5
#define SW_P15_5__0__PORT 15u
#define SW_P15_5__0__SHIFT 5
#define SW_P15_5__AG CYREG_PRT15_AG
#define SW_P15_5__AMUX CYREG_PRT15_AMUX
#define SW_P15_5__BIE CYREG_PRT15_BIE
#define SW_P15_5__BIT_MASK CYREG_PRT15_BIT_MASK
#define SW_P15_5__BYP CYREG_PRT15_BYP
#define SW_P15_5__CTL CYREG_PRT15_CTL
#define SW_P15_5__DM0 CYREG_PRT15_DM0
#define SW_P15_5__DM1 CYREG_PRT15_DM1
#define SW_P15_5__DM2 CYREG_PRT15_DM2
#define SW_P15_5__DR CYREG_PRT15_DR
#define SW_P15_5__INP_DIS CYREG_PRT15_INP_DIS
#define SW_P15_5__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define SW_P15_5__LCD_EN CYREG_PRT15_LCD_EN
#define SW_P15_5__MASK 0x20u
#define SW_P15_5__PORT 15u
#define SW_P15_5__PRT CYREG_PRT15_PRT
#define SW_P15_5__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define SW_P15_5__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define SW_P15_5__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define SW_P15_5__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define SW_P15_5__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define SW_P15_5__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define SW_P15_5__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define SW_P15_5__PS CYREG_PRT15_PS
#define SW_P15_5__SHIFT 5
#define SW_P15_5__SLW CYREG_PRT15_SLW

/* VoutCtrl */
#define VoutCtrl__0__MASK 0x40u
#define VoutCtrl__0__PC CYREG_PRT3_PC6
#define VoutCtrl__0__PORT 3u
#define VoutCtrl__0__SHIFT 6
#define VoutCtrl__AG CYREG_PRT3_AG
#define VoutCtrl__AMUX CYREG_PRT3_AMUX
#define VoutCtrl__BIE CYREG_PRT3_BIE
#define VoutCtrl__BIT_MASK CYREG_PRT3_BIT_MASK
#define VoutCtrl__BYP CYREG_PRT3_BYP
#define VoutCtrl__CTL CYREG_PRT3_CTL
#define VoutCtrl__DM0 CYREG_PRT3_DM0
#define VoutCtrl__DM1 CYREG_PRT3_DM1
#define VoutCtrl__DM2 CYREG_PRT3_DM2
#define VoutCtrl__DR CYREG_PRT3_DR
#define VoutCtrl__INP_DIS CYREG_PRT3_INP_DIS
#define VoutCtrl__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VoutCtrl__LCD_EN CYREG_PRT3_LCD_EN
#define VoutCtrl__MASK 0x40u
#define VoutCtrl__PORT 3u
#define VoutCtrl__PRT CYREG_PRT3_PRT
#define VoutCtrl__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VoutCtrl__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VoutCtrl__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VoutCtrl__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VoutCtrl__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VoutCtrl__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VoutCtrl__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VoutCtrl__PS CYREG_PRT3_PS
#define VoutCtrl__SHIFT 6
#define VoutCtrl__SLW CYREG_PRT3_SLW

/* KeyStatus_Gr0_1s */
#define KeyStatus_Gr0_1s_sts_sts_reg__0__MASK 0x01u
#define KeyStatus_Gr0_1s_sts_sts_reg__0__POS 0
#define KeyStatus_Gr0_1s_sts_sts_reg__1__MASK 0x02u
#define KeyStatus_Gr0_1s_sts_sts_reg__1__POS 1
#define KeyStatus_Gr0_1s_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define KeyStatus_Gr0_1s_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB10_11_ST
#define KeyStatus_Gr0_1s_sts_sts_reg__2__MASK 0x04u
#define KeyStatus_Gr0_1s_sts_sts_reg__2__POS 2
#define KeyStatus_Gr0_1s_sts_sts_reg__MASK 0x07u
#define KeyStatus_Gr0_1s_sts_sts_reg__MASK_REG CYREG_B0_UDB10_MSK
#define KeyStatus_Gr0_1s_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define KeyStatus_Gr0_1s_sts_sts_reg__STATUS_REG CYREG_B0_UDB10_ST

/* KeyStatus_Gr0_4s */
#define KeyStatus_Gr0_4s_sts_sts_reg__0__MASK 0x01u
#define KeyStatus_Gr0_4s_sts_sts_reg__0__POS 0
#define KeyStatus_Gr0_4s_sts_sts_reg__1__MASK 0x02u
#define KeyStatus_Gr0_4s_sts_sts_reg__1__POS 1
#define KeyStatus_Gr0_4s_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB00_01_ACTL
#define KeyStatus_Gr0_4s_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB00_01_ST
#define KeyStatus_Gr0_4s_sts_sts_reg__2__MASK 0x04u
#define KeyStatus_Gr0_4s_sts_sts_reg__2__POS 2
#define KeyStatus_Gr0_4s_sts_sts_reg__MASK 0x07u
#define KeyStatus_Gr0_4s_sts_sts_reg__MASK_REG CYREG_B0_UDB00_MSK
#define KeyStatus_Gr0_4s_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB00_ACTL
#define KeyStatus_Gr0_4s_sts_sts_reg__STATUS_REG CYREG_B0_UDB00_ST
#define KeyStatus_Gr0_sts_sts_reg__0__MASK 0x01u
#define KeyStatus_Gr0_sts_sts_reg__0__POS 0
#define KeyStatus_Gr0_sts_sts_reg__1__MASK 0x02u
#define KeyStatus_Gr0_sts_sts_reg__1__POS 1
#define KeyStatus_Gr0_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define KeyStatus_Gr0_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB13_14_ST
#define KeyStatus_Gr0_sts_sts_reg__2__MASK 0x04u
#define KeyStatus_Gr0_sts_sts_reg__2__POS 2
#define KeyStatus_Gr0_sts_sts_reg__MASK 0x07u
#define KeyStatus_Gr0_sts_sts_reg__MASK_REG CYREG_B0_UDB13_MSK
#define KeyStatus_Gr0_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define KeyStatus_Gr0_sts_sts_reg__STATUS_REG CYREG_B0_UDB13_ST
#define KeyStatus_sts_sts_reg__0__MASK 0x01u
#define KeyStatus_sts_sts_reg__0__POS 0
#define KeyStatus_sts_sts_reg__1__MASK 0x02u
#define KeyStatus_sts_sts_reg__1__POS 1
#define KeyStatus_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define KeyStatus_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB03_04_ST
#define KeyStatus_sts_sts_reg__2__MASK 0x04u
#define KeyStatus_sts_sts_reg__2__POS 2
#define KeyStatus_sts_sts_reg__3__MASK 0x08u
#define KeyStatus_sts_sts_reg__3__POS 3
#define KeyStatus_sts_sts_reg__4__MASK 0x10u
#define KeyStatus_sts_sts_reg__4__POS 4
#define KeyStatus_sts_sts_reg__5__MASK 0x20u
#define KeyStatus_sts_sts_reg__5__POS 5
#define KeyStatus_sts_sts_reg__MASK 0x3Fu
#define KeyStatus_sts_sts_reg__MASK_REG CYREG_B0_UDB03_MSK
#define KeyStatus_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define KeyStatus_sts_sts_reg__STATUS_REG CYREG_B0_UDB03_ST

/* MouseData */
#define MouseData__0__MASK 0x80u
#define MouseData__0__PC CYREG_PRT1_PC7
#define MouseData__0__PORT 1u
#define MouseData__0__SHIFT 7
#define MouseData__AG CYREG_PRT1_AG
#define MouseData__AMUX CYREG_PRT1_AMUX
#define MouseData__BIE CYREG_PRT1_BIE
#define MouseData__BIT_MASK CYREG_PRT1_BIT_MASK
#define MouseData__BYP CYREG_PRT1_BYP
#define MouseData__CTL CYREG_PRT1_CTL
#define MouseData__DM0 CYREG_PRT1_DM0
#define MouseData__DM1 CYREG_PRT1_DM1
#define MouseData__DM2 CYREG_PRT1_DM2
#define MouseData__DR CYREG_PRT1_DR
#define MouseData__INP_DIS CYREG_PRT1_INP_DIS
#define MouseData__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define MouseData__LCD_EN CYREG_PRT1_LCD_EN
#define MouseData__MASK 0x80u
#define MouseData__PORT 1u
#define MouseData__PRT CYREG_PRT1_PRT
#define MouseData__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define MouseData__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define MouseData__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define MouseData__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define MouseData__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define MouseData__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define MouseData__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define MouseData__PS CYREG_PRT1_PS
#define MouseData__SHIFT 7
#define MouseData__SLW CYREG_PRT1_SLW

/* OUT_DISCH */
#define OUT_DISCH__0__MASK 0x40u
#define OUT_DISCH__0__PC CYREG_PRT5_PC6
#define OUT_DISCH__0__PORT 5u
#define OUT_DISCH__0__SHIFT 6
#define OUT_DISCH__AG CYREG_PRT5_AG
#define OUT_DISCH__AMUX CYREG_PRT5_AMUX
#define OUT_DISCH__BIE CYREG_PRT5_BIE
#define OUT_DISCH__BIT_MASK CYREG_PRT5_BIT_MASK
#define OUT_DISCH__BYP CYREG_PRT5_BYP
#define OUT_DISCH__CTL CYREG_PRT5_CTL
#define OUT_DISCH__DM0 CYREG_PRT5_DM0
#define OUT_DISCH__DM1 CYREG_PRT5_DM1
#define OUT_DISCH__DM2 CYREG_PRT5_DM2
#define OUT_DISCH__DR CYREG_PRT5_DR
#define OUT_DISCH__INP_DIS CYREG_PRT5_INP_DIS
#define OUT_DISCH__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define OUT_DISCH__LCD_EN CYREG_PRT5_LCD_EN
#define OUT_DISCH__MASK 0x40u
#define OUT_DISCH__PORT 5u
#define OUT_DISCH__PRT CYREG_PRT5_PRT
#define OUT_DISCH__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define OUT_DISCH__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define OUT_DISCH__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define OUT_DISCH__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define OUT_DISCH__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define OUT_DISCH__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define OUT_DISCH__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define OUT_DISCH__PS CYREG_PRT5_PS
#define OUT_DISCH__SHIFT 6
#define OUT_DISCH__SLW CYREG_PRT5_SLW

/* CtrlVolt12 */
#define CtrlVolt12__0__MASK 0x20u
#define CtrlVolt12__0__PC CYREG_PRT6_PC5
#define CtrlVolt12__0__PORT 6u
#define CtrlVolt12__0__SHIFT 5
#define CtrlVolt12__AG CYREG_PRT6_AG
#define CtrlVolt12__AMUX CYREG_PRT6_AMUX
#define CtrlVolt12__BIE CYREG_PRT6_BIE
#define CtrlVolt12__BIT_MASK CYREG_PRT6_BIT_MASK
#define CtrlVolt12__BYP CYREG_PRT6_BYP
#define CtrlVolt12__CTL CYREG_PRT6_CTL
#define CtrlVolt12__DM0 CYREG_PRT6_DM0
#define CtrlVolt12__DM1 CYREG_PRT6_DM1
#define CtrlVolt12__DM2 CYREG_PRT6_DM2
#define CtrlVolt12__DR CYREG_PRT6_DR
#define CtrlVolt12__INP_DIS CYREG_PRT6_INP_DIS
#define CtrlVolt12__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define CtrlVolt12__LCD_EN CYREG_PRT6_LCD_EN
#define CtrlVolt12__MASK 0x20u
#define CtrlVolt12__PORT 6u
#define CtrlVolt12__PRT CYREG_PRT6_PRT
#define CtrlVolt12__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define CtrlVolt12__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define CtrlVolt12__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define CtrlVolt12__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define CtrlVolt12__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define CtrlVolt12__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define CtrlVolt12__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define CtrlVolt12__PS CYREG_PRT6_PS
#define CtrlVolt12__SHIFT 5
#define CtrlVolt12__SLW CYREG_PRT6_SLW

/* CtrlVolt24 */
#define CtrlVolt24__0__MASK 0x80u
#define CtrlVolt24__0__PC CYREG_PRT3_PC7
#define CtrlVolt24__0__PORT 3u
#define CtrlVolt24__0__SHIFT 7
#define CtrlVolt24__AG CYREG_PRT3_AG
#define CtrlVolt24__AMUX CYREG_PRT3_AMUX
#define CtrlVolt24__BIE CYREG_PRT3_BIE
#define CtrlVolt24__BIT_MASK CYREG_PRT3_BIT_MASK
#define CtrlVolt24__BYP CYREG_PRT3_BYP
#define CtrlVolt24__CTL CYREG_PRT3_CTL
#define CtrlVolt24__DM0 CYREG_PRT3_DM0
#define CtrlVolt24__DM1 CYREG_PRT3_DM1
#define CtrlVolt24__DM2 CYREG_PRT3_DM2
#define CtrlVolt24__DR CYREG_PRT3_DR
#define CtrlVolt24__INP_DIS CYREG_PRT3_INP_DIS
#define CtrlVolt24__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define CtrlVolt24__LCD_EN CYREG_PRT3_LCD_EN
#define CtrlVolt24__MASK 0x80u
#define CtrlVolt24__PORT 3u
#define CtrlVolt24__PRT CYREG_PRT3_PRT
#define CtrlVolt24__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define CtrlVolt24__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define CtrlVolt24__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define CtrlVolt24__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define CtrlVolt24__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define CtrlVolt24__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define CtrlVolt24__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define CtrlVolt24__PS CYREG_PRT3_PS
#define CtrlVolt24__SHIFT 7
#define CtrlVolt24__SLW CYREG_PRT3_SLW

/* KeyScanClk */
#define KeyScanClk__CFG0 CYREG_CLKDIST_DCFG6_CFG0
#define KeyScanClk__CFG1 CYREG_CLKDIST_DCFG6_CFG1
#define KeyScanClk__CFG2 CYREG_CLKDIST_DCFG6_CFG2
#define KeyScanClk__CFG2_SRC_SEL_MASK 0x07u
#define KeyScanClk__INDEX 0x06u
#define KeyScanClk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define KeyScanClk__PM_ACT_MSK 0x40u
#define KeyScanClk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define KeyScanClk__PM_STBY_MSK 0x40u

/* LED_Driver_bLED_PWM */
#define LED_Driver_bLED_PWM_CtlReg__0__MASK 0x01u
#define LED_Driver_bLED_PWM_CtlReg__0__POS 0
#define LED_Driver_bLED_PWM_CtlReg__CONTROL_AUX_CTL_REG CYREG_B0_UDB15_ACTL
#define LED_Driver_bLED_PWM_CtlReg__CONTROL_REG CYREG_B0_UDB15_CTL
#define LED_Driver_bLED_PWM_CtlReg__CONTROL_ST_REG CYREG_B0_UDB15_ST_CTL
#define LED_Driver_bLED_PWM_CtlReg__COUNT_REG CYREG_B0_UDB15_CTL
#define LED_Driver_bLED_PWM_CtlReg__COUNT_ST_REG CYREG_B0_UDB15_ST_CTL
#define LED_Driver_bLED_PWM_CtlReg__MASK 0x01u
#define LED_Driver_bLED_PWM_CtlReg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB15_MSK_ACTL
#define LED_Driver_bLED_PWM_CtlReg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB15_MSK_ACTL
#define LED_Driver_bLED_PWM_CtlReg__PERIOD_REG CYREG_B0_UDB15_MSK
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_A0_REG CYREG_B0_UDB11_12_A0
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_A1_REG CYREG_B0_UDB11_12_A1
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_D0_REG CYREG_B0_UDB11_12_D0
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_D1_REG CYREG_B0_UDB11_12_D1
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_F0_REG CYREG_B0_UDB11_12_F0
#define LED_Driver_bLED_PWM_PwmDP_u0__16BIT_F1_REG CYREG_B0_UDB11_12_F1
#define LED_Driver_bLED_PWM_PwmDP_u0__A0_A1_REG CYREG_B0_UDB11_A0_A1
#define LED_Driver_bLED_PWM_PwmDP_u0__A0_REG CYREG_B0_UDB11_A0
#define LED_Driver_bLED_PWM_PwmDP_u0__A1_REG CYREG_B0_UDB11_A1
#define LED_Driver_bLED_PWM_PwmDP_u0__D0_D1_REG CYREG_B0_UDB11_D0_D1
#define LED_Driver_bLED_PWM_PwmDP_u0__D0_REG CYREG_B0_UDB11_D0
#define LED_Driver_bLED_PWM_PwmDP_u0__D1_REG CYREG_B0_UDB11_D1
#define LED_Driver_bLED_PWM_PwmDP_u0__DP_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define LED_Driver_bLED_PWM_PwmDP_u0__F0_F1_REG CYREG_B0_UDB11_F0_F1
#define LED_Driver_bLED_PWM_PwmDP_u0__F0_REG CYREG_B0_UDB11_F0
#define LED_Driver_bLED_PWM_PwmDP_u0__F1_REG CYREG_B0_UDB11_F1

/* LED_Driver_ClkInternal */
#define LED_Driver_ClkInternal__CFG0 CYREG_CLKDIST_DCFG4_CFG0
#define LED_Driver_ClkInternal__CFG1 CYREG_CLKDIST_DCFG4_CFG1
#define LED_Driver_ClkInternal__CFG2 CYREG_CLKDIST_DCFG4_CFG2
#define LED_Driver_ClkInternal__CFG2_SRC_SEL_MASK 0x07u
#define LED_Driver_ClkInternal__INDEX 0x04u
#define LED_Driver_ClkInternal__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define LED_Driver_ClkInternal__PM_ACT_MSK 0x10u
#define LED_Driver_ClkInternal__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define LED_Driver_ClkInternal__PM_STBY_MSK 0x10u

/* LED_Driver_Com_Driver */
#define LED_Driver_Com_Driver_Sync_ctrl_reg__0__MASK 0x01u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__0__POS 0
#define LED_Driver_Com_Driver_Sync_ctrl_reg__1__MASK 0x02u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__1__POS 1
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB05_06_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB05_06_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB05_06_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB05_06_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB05_06_MSK
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB05_06_MSK
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB05_06_MSK
#define LED_Driver_Com_Driver_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB05_06_MSK
#define LED_Driver_Com_Driver_Sync_ctrl_reg__2__MASK 0x04u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__2__POS 2
#define LED_Driver_Com_Driver_Sync_ctrl_reg__3__MASK 0x08u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__3__POS 3
#define LED_Driver_Com_Driver_Sync_ctrl_reg__4__MASK 0x10u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__4__POS 4
#define LED_Driver_Com_Driver_Sync_ctrl_reg__5__MASK 0x20u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__5__POS 5
#define LED_Driver_Com_Driver_Sync_ctrl_reg__6__MASK 0x40u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__6__POS 6
#define LED_Driver_Com_Driver_Sync_ctrl_reg__7__MASK 0x80u
#define LED_Driver_Com_Driver_Sync_ctrl_reg__7__POS 7
#define LED_Driver_Com_Driver_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB05_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB05_ST_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB05_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB05_ST_CTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__MASK 0xFFu
#define LED_Driver_Com_Driver_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB05_MSK_ACTL
#define LED_Driver_Com_Driver_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB05_MSK

/* LED_Driver_DMA_BC */
#define LED_Driver_DMA_BC__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define LED_Driver_DMA_BC__DRQ_NUMBER 3u
#define LED_Driver_DMA_BC__NUMBEROF_TDS 0u
#define LED_Driver_DMA_BC__PRIORITY 2u
#define LED_Driver_DMA_BC__TERMIN_EN 0u
#define LED_Driver_DMA_BC__TERMIN_SEL 0u
#define LED_Driver_DMA_BC__TERMOUT0_EN 0u
#define LED_Driver_DMA_BC__TERMOUT0_SEL 0u
#define LED_Driver_DMA_BC__TERMOUT1_EN 0u
#define LED_Driver_DMA_BC__TERMOUT1_SEL 0u

/* LED_Driver_DMA_Com */
#define LED_Driver_DMA_Com__DRQ_CTL CYREG_IDMUX_DRQ_CTL1
#define LED_Driver_DMA_Com__DRQ_NUMBER 4u
#define LED_Driver_DMA_Com__NUMBEROF_TDS 0u
#define LED_Driver_DMA_Com__PRIORITY 2u
#define LED_Driver_DMA_Com__TERMIN_EN 0u
#define LED_Driver_DMA_Com__TERMIN_SEL 0u
#define LED_Driver_DMA_Com__TERMOUT0_EN 0u
#define LED_Driver_DMA_Com__TERMOUT0_SEL 0u
#define LED_Driver_DMA_Com__TERMOUT1_EN 0u
#define LED_Driver_DMA_Com__TERMOUT1_SEL 0u

/* LED_Driver_DMA_Seg */
#define LED_Driver_DMA_Seg__DRQ_CTL CYREG_IDMUX_DRQ_CTL1
#define LED_Driver_DMA_Seg__DRQ_NUMBER 5u
#define LED_Driver_DMA_Seg__NUMBEROF_TDS 0u
#define LED_Driver_DMA_Seg__PRIORITY 2u
#define LED_Driver_DMA_Seg__TERMIN_EN 0u
#define LED_Driver_DMA_Seg__TERMIN_SEL 0u
#define LED_Driver_DMA_Seg__TERMOUT0_EN 1u
#define LED_Driver_DMA_Seg__TERMOUT0_SEL 5u
#define LED_Driver_DMA_Seg__TERMOUT1_EN 0u
#define LED_Driver_DMA_Seg__TERMOUT1_SEL 0u

/* LED_Driver_Seg_Driver_L */
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__0__MASK 0x01u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__0__POS 0
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__1__MASK 0x02u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__1__POS 1
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB02_03_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB02_03_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB02_03_MSK
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB02_03_MSK
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__2__MASK 0x04u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__2__POS 2
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__3__MASK 0x08u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__3__POS 3
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__4__MASK 0x10u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__4__POS 4
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__5__MASK 0x20u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__5__POS 5
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__6__MASK 0x40u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__6__POS 6
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__7__MASK 0x80u
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__7__POS 7
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB02_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB02_ST_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB02_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB02_ST_CTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__MASK 0xFFu
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define LED_Driver_Seg_Driver_L_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB02_MSK

/* OA_OutVolt_ABuf */
#define OA_OutVolt_ABuf__CR CYREG_OPAMP1_CR
#define OA_OutVolt_ABuf__MX CYREG_OPAMP1_MX
#define OA_OutVolt_ABuf__NPUMP_OPAMP_TR0 CYREG_NPUMP_OPAMP_TR0
#define OA_OutVolt_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define OA_OutVolt_ABuf__PM_ACT_MSK 0x02u
#define OA_OutVolt_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define OA_OutVolt_ABuf__PM_STBY_MSK 0x02u
#define OA_OutVolt_ABuf__RSVD CYREG_OPAMP1_RSVD
#define OA_OutVolt_ABuf__SW CYREG_OPAMP1_SW
#define OA_OutVolt_ABuf__TR0 CYREG_OPAMP1_TR0
#define OA_OutVolt_ABuf__TR1 CYREG_OPAMP1_TR1

/* OutCurr_MN */
#define OutCurr_MN__0__MASK 0x01u
#define OutCurr_MN__0__PC CYREG_PRT3_PC0
#define OutCurr_MN__0__PORT 3u
#define OutCurr_MN__0__SHIFT 0
#define OutCurr_MN__AG CYREG_PRT3_AG
#define OutCurr_MN__AMUX CYREG_PRT3_AMUX
#define OutCurr_MN__BIE CYREG_PRT3_BIE
#define OutCurr_MN__BIT_MASK CYREG_PRT3_BIT_MASK
#define OutCurr_MN__BYP CYREG_PRT3_BYP
#define OutCurr_MN__CTL CYREG_PRT3_CTL
#define OutCurr_MN__DM0 CYREG_PRT3_DM0
#define OutCurr_MN__DM1 CYREG_PRT3_DM1
#define OutCurr_MN__DM2 CYREG_PRT3_DM2
#define OutCurr_MN__DR CYREG_PRT3_DR
#define OutCurr_MN__INP_DIS CYREG_PRT3_INP_DIS
#define OutCurr_MN__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OutCurr_MN__LCD_EN CYREG_PRT3_LCD_EN
#define OutCurr_MN__MASK 0x01u
#define OutCurr_MN__PORT 3u
#define OutCurr_MN__PRT CYREG_PRT3_PRT
#define OutCurr_MN__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OutCurr_MN__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OutCurr_MN__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OutCurr_MN__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OutCurr_MN__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OutCurr_MN__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OutCurr_MN__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OutCurr_MN__PS CYREG_PRT3_PS
#define OutCurr_MN__SHIFT 0
#define OutCurr_MN__SLW CYREG_PRT3_SLW

/* OutCurr_PL */
#define OutCurr_PL__0__MASK 0x02u
#define OutCurr_PL__0__PC CYREG_PRT3_PC1
#define OutCurr_PL__0__PORT 3u
#define OutCurr_PL__0__SHIFT 1
#define OutCurr_PL__AG CYREG_PRT3_AG
#define OutCurr_PL__AMUX CYREG_PRT3_AMUX
#define OutCurr_PL__BIE CYREG_PRT3_BIE
#define OutCurr_PL__BIT_MASK CYREG_PRT3_BIT_MASK
#define OutCurr_PL__BYP CYREG_PRT3_BYP
#define OutCurr_PL__CTL CYREG_PRT3_CTL
#define OutCurr_PL__DM0 CYREG_PRT3_DM0
#define OutCurr_PL__DM1 CYREG_PRT3_DM1
#define OutCurr_PL__DM2 CYREG_PRT3_DM2
#define OutCurr_PL__DR CYREG_PRT3_DR
#define OutCurr_PL__INP_DIS CYREG_PRT3_INP_DIS
#define OutCurr_PL__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OutCurr_PL__LCD_EN CYREG_PRT3_LCD_EN
#define OutCurr_PL__MASK 0x02u
#define OutCurr_PL__PORT 3u
#define OutCurr_PL__PRT CYREG_PRT3_PRT
#define OutCurr_PL__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OutCurr_PL__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OutCurr_PL__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OutCurr_PL__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OutCurr_PL__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OutCurr_PL__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OutCurr_PL__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OutCurr_PL__PS CYREG_PRT3_PS
#define OutCurr_PL__SHIFT 1
#define OutCurr_PL__SLW CYREG_PRT3_SLW

/* OutVolt_PL */
#define OutVolt_PL__0__MASK 0x08u
#define OutVolt_PL__0__PC CYREG_PRT3_PC3
#define OutVolt_PL__0__PORT 3u
#define OutVolt_PL__0__SHIFT 3
#define OutVolt_PL__AG CYREG_PRT3_AG
#define OutVolt_PL__AMUX CYREG_PRT3_AMUX
#define OutVolt_PL__BIE CYREG_PRT3_BIE
#define OutVolt_PL__BIT_MASK CYREG_PRT3_BIT_MASK
#define OutVolt_PL__BYP CYREG_PRT3_BYP
#define OutVolt_PL__CTL CYREG_PRT3_CTL
#define OutVolt_PL__DM0 CYREG_PRT3_DM0
#define OutVolt_PL__DM1 CYREG_PRT3_DM1
#define OutVolt_PL__DM2 CYREG_PRT3_DM2
#define OutVolt_PL__DR CYREG_PRT3_DR
#define OutVolt_PL__INP_DIS CYREG_PRT3_INP_DIS
#define OutVolt_PL__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OutVolt_PL__LCD_EN CYREG_PRT3_LCD_EN
#define OutVolt_PL__MASK 0x08u
#define OutVolt_PL__PORT 3u
#define OutVolt_PL__PRT CYREG_PRT3_PRT
#define OutVolt_PL__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OutVolt_PL__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OutVolt_PL__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OutVolt_PL__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OutVolt_PL__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OutVolt_PL__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OutVolt_PL__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OutVolt_PL__PS CYREG_PRT3_PS
#define OutVolt_PL__SHIFT 3
#define OutVolt_PL__SLW CYREG_PRT3_SLW

/* DAC_OutCtrl_DMA */
#define DAC_OutCtrl_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DAC_OutCtrl_DMA__DRQ_NUMBER 0u
#define DAC_OutCtrl_DMA__NUMBEROF_TDS 0u
#define DAC_OutCtrl_DMA__PRIORITY 2u
#define DAC_OutCtrl_DMA__TERMIN_EN 0u
#define DAC_OutCtrl_DMA__TERMIN_SEL 0u
#define DAC_OutCtrl_DMA__TERMOUT0_EN 0u
#define DAC_OutCtrl_DMA__TERMOUT0_SEL 0u
#define DAC_OutCtrl_DMA__TERMOUT1_EN 0u
#define DAC_OutCtrl_DMA__TERMOUT1_SEL 0u

/* DAC_OutCtrl_IntClock */
#define DAC_OutCtrl_IntClock__CFG0 CYREG_CLKDIST_DCFG3_CFG0
#define DAC_OutCtrl_IntClock__CFG1 CYREG_CLKDIST_DCFG3_CFG1
#define DAC_OutCtrl_IntClock__CFG2 CYREG_CLKDIST_DCFG3_CFG2
#define DAC_OutCtrl_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define DAC_OutCtrl_IntClock__INDEX 0x03u
#define DAC_OutCtrl_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define DAC_OutCtrl_IntClock__PM_ACT_MSK 0x08u
#define DAC_OutCtrl_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define DAC_OutCtrl_IntClock__PM_STBY_MSK 0x08u

/* DAC_OutCtrl_VDAC8_viDAC8 */
#define DAC_OutCtrl_VDAC8_viDAC8__CR0 CYREG_DAC3_CR0
#define DAC_OutCtrl_VDAC8_viDAC8__CR1 CYREG_DAC3_CR1
#define DAC_OutCtrl_VDAC8_viDAC8__D CYREG_DAC3_D
#define DAC_OutCtrl_VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define DAC_OutCtrl_VDAC8_viDAC8__PM_ACT_MSK 0x08u
#define DAC_OutCtrl_VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define DAC_OutCtrl_VDAC8_viDAC8__PM_STBY_MSK 0x08u
#define DAC_OutCtrl_VDAC8_viDAC8__STROBE CYREG_DAC3_STROBE
#define DAC_OutCtrl_VDAC8_viDAC8__SW0 CYREG_DAC3_SW0
#define DAC_OutCtrl_VDAC8_viDAC8__SW2 CYREG_DAC3_SW2
#define DAC_OutCtrl_VDAC8_viDAC8__SW3 CYREG_DAC3_SW3
#define DAC_OutCtrl_VDAC8_viDAC8__SW4 CYREG_DAC3_SW4
#define DAC_OutCtrl_VDAC8_viDAC8__TR CYREG_DAC3_TR
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC3_M1
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC3_M2
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC3_M3
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC3_M4
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC3_M5
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC3_M6
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC3_M7
#define DAC_OutCtrl_VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC3_M8
#define DAC_OutCtrl_VDAC8_viDAC8__TST CYREG_DAC3_TST

/* OutVoltAmpl_SC */
#define OutVoltAmpl_SC__BST CYREG_SC2_BST
#define OutVoltAmpl_SC__CLK CYREG_SC2_CLK
#define OutVoltAmpl_SC__CMPINV CYREG_SC_CMPINV
#define OutVoltAmpl_SC__CMPINV_MASK 0x04u
#define OutVoltAmpl_SC__CPTR CYREG_SC_CPTR
#define OutVoltAmpl_SC__CPTR_MASK 0x04u
#define OutVoltAmpl_SC__CR0 CYREG_SC2_CR0
#define OutVoltAmpl_SC__CR1 CYREG_SC2_CR1
#define OutVoltAmpl_SC__CR2 CYREG_SC2_CR2
#define OutVoltAmpl_SC__MSK CYREG_SC_MSK
#define OutVoltAmpl_SC__MSK_MASK 0x04u
#define OutVoltAmpl_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define OutVoltAmpl_SC__PM_ACT_MSK 0x04u
#define OutVoltAmpl_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define OutVoltAmpl_SC__PM_STBY_MSK 0x04u
#define OutVoltAmpl_SC__SR CYREG_SC_SR
#define OutVoltAmpl_SC__SR_MASK 0x04u
#define OutVoltAmpl_SC__SW0 CYREG_SC2_SW0
#define OutVoltAmpl_SC__SW10 CYREG_SC2_SW10
#define OutVoltAmpl_SC__SW2 CYREG_SC2_SW2
#define OutVoltAmpl_SC__SW3 CYREG_SC2_SW3
#define OutVoltAmpl_SC__SW4 CYREG_SC2_SW4
#define OutVoltAmpl_SC__SW6 CYREG_SC2_SW6
#define OutVoltAmpl_SC__SW7 CYREG_SC2_SW7
#define OutVoltAmpl_SC__SW8 CYREG_SC2_SW8
#define OutVoltAmpl_SC__WRK1 CYREG_SC_WRK1
#define OutVoltAmpl_SC__WRK1_MASK 0x04u

/* OutCurr_Comp */
#define OutCurr_Comp__0__MASK 0x40u
#define OutCurr_Comp__0__PC CYREG_PRT4_PC6
#define OutCurr_Comp__0__PORT 4u
#define OutCurr_Comp__0__SHIFT 6
#define OutCurr_Comp__AG CYREG_PRT4_AG
#define OutCurr_Comp__AMUX CYREG_PRT4_AMUX
#define OutCurr_Comp__BIE CYREG_PRT4_BIE
#define OutCurr_Comp__BIT_MASK CYREG_PRT4_BIT_MASK
#define OutCurr_Comp__BYP CYREG_PRT4_BYP
#define OutCurr_Comp__CTL CYREG_PRT4_CTL
#define OutCurr_Comp__DM0 CYREG_PRT4_DM0
#define OutCurr_Comp__DM1 CYREG_PRT4_DM1
#define OutCurr_Comp__DM2 CYREG_PRT4_DM2
#define OutCurr_Comp__DR CYREG_PRT4_DR
#define OutCurr_Comp__INP_DIS CYREG_PRT4_INP_DIS
#define OutCurr_Comp__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define OutCurr_Comp__LCD_EN CYREG_PRT4_LCD_EN
#define OutCurr_Comp__MASK 0x40u
#define OutCurr_Comp__PORT 4u
#define OutCurr_Comp__PRT CYREG_PRT4_PRT
#define OutCurr_Comp__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define OutCurr_Comp__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define OutCurr_Comp__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define OutCurr_Comp__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define OutCurr_Comp__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define OutCurr_Comp__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define OutCurr_Comp__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define OutCurr_Comp__PS CYREG_PRT4_PS
#define OutCurr_Comp__SHIFT 6
#define OutCurr_Comp__SLW CYREG_PRT4_SLW

/* OutputStatus */
#define OutputStatus_sts_sts_reg__0__MASK 0x01u
#define OutputStatus_sts_sts_reg__0__POS 0
#define OutputStatus_sts_sts_reg__1__MASK 0x02u
#define OutputStatus_sts_sts_reg__1__POS 1
#define OutputStatus_sts_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define OutputStatus_sts_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB12_13_ST
#define OutputStatus_sts_sts_reg__3__MASK 0x08u
#define OutputStatus_sts_sts_reg__3__POS 3
#define OutputStatus_sts_sts_reg__MASK 0x0Bu
#define OutputStatus_sts_sts_reg__MASK_REG CYREG_B0_UDB12_MSK
#define OutputStatus_sts_sts_reg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define OutputStatus_sts_sts_reg__PER_ST_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define OutputStatus_sts_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define OutputStatus_sts_sts_reg__STATUS_CNT_REG CYREG_B0_UDB12_ST_CTL
#define OutputStatus_sts_sts_reg__STATUS_CONTROL_REG CYREG_B0_UDB12_ST_CTL
#define OutputStatus_sts_sts_reg__STATUS_REG CYREG_B0_UDB12_ST

/* Comp_CurrProt_ctComp */
#define Comp_CurrProt_ctComp__CLK CYREG_CMP1_CLK
#define Comp_CurrProt_ctComp__CMP_MASK 0x02u
#define Comp_CurrProt_ctComp__CMP_NUMBER 1u
#define Comp_CurrProt_ctComp__CR CYREG_CMP1_CR
#define Comp_CurrProt_ctComp__LUT__CR CYREG_LUT1_CR
#define Comp_CurrProt_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_CurrProt_ctComp__LUT__MSK_MASK 0x02u
#define Comp_CurrProt_ctComp__LUT__MSK_SHIFT 1
#define Comp_CurrProt_ctComp__LUT__MX CYREG_LUT1_MX
#define Comp_CurrProt_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_CurrProt_ctComp__LUT__SR_MASK 0x02u
#define Comp_CurrProt_ctComp__LUT__SR_SHIFT 1
#define Comp_CurrProt_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_CurrProt_ctComp__PM_ACT_MSK 0x02u
#define Comp_CurrProt_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_CurrProt_ctComp__PM_STBY_MSK 0x02u
#define Comp_CurrProt_ctComp__SW0 CYREG_CMP1_SW0
#define Comp_CurrProt_ctComp__SW2 CYREG_CMP1_SW2
#define Comp_CurrProt_ctComp__SW3 CYREG_CMP1_SW3
#define Comp_CurrProt_ctComp__SW4 CYREG_CMP1_SW4
#define Comp_CurrProt_ctComp__SW6 CYREG_CMP1_SW6
#define Comp_CurrProt_ctComp__TR0 CYREG_CMP1_TR0
#define Comp_CurrProt_ctComp__TR1 CYREG_CMP1_TR1
#define Comp_CurrProt_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP1_TR0
#define Comp_CurrProt_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP1_TR0_HS
#define Comp_CurrProt_ctComp__TRIM__TR1 CYREG_FLSHID_MFG_CFG_CMP1_TR1
#define Comp_CurrProt_ctComp__TRIM__TR1_HS CYREG_FLSHID_CUST_TABLES_CMP1_TR1_HS
#define Comp_CurrProt_ctComp__WRK CYREG_CMP_WRK
#define Comp_CurrProt_ctComp__WRK_MASK 0x02u
#define Comp_CurrProt_ctComp__WRK_SHIFT 1

/* Comp_OverVolt_ctComp */
#define Comp_OverVolt_ctComp__CLK CYREG_CMP0_CLK
#define Comp_OverVolt_ctComp__CMP_MASK 0x01u
#define Comp_OverVolt_ctComp__CMP_NUMBER 0u
#define Comp_OverVolt_ctComp__CR CYREG_CMP0_CR
#define Comp_OverVolt_ctComp__LUT__CR CYREG_LUT0_CR
#define Comp_OverVolt_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_OverVolt_ctComp__LUT__MSK_MASK 0x01u
#define Comp_OverVolt_ctComp__LUT__MSK_SHIFT 0
#define Comp_OverVolt_ctComp__LUT__MX CYREG_LUT0_MX
#define Comp_OverVolt_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_OverVolt_ctComp__LUT__SR_MASK 0x01u
#define Comp_OverVolt_ctComp__LUT__SR_SHIFT 0
#define Comp_OverVolt_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_OverVolt_ctComp__PM_ACT_MSK 0x01u
#define Comp_OverVolt_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_OverVolt_ctComp__PM_STBY_MSK 0x01u
#define Comp_OverVolt_ctComp__SW0 CYREG_CMP0_SW0
#define Comp_OverVolt_ctComp__SW2 CYREG_CMP0_SW2
#define Comp_OverVolt_ctComp__SW3 CYREG_CMP0_SW3
#define Comp_OverVolt_ctComp__SW4 CYREG_CMP0_SW4
#define Comp_OverVolt_ctComp__SW6 CYREG_CMP0_SW6
#define Comp_OverVolt_ctComp__TR0 CYREG_CMP0_TR0
#define Comp_OverVolt_ctComp__TR1 CYREG_CMP0_TR1
#define Comp_OverVolt_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP0_TR0
#define Comp_OverVolt_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR0_HS
#define Comp_OverVolt_ctComp__TRIM__TR1 CYREG_FLSHID_MFG_CFG_CMP0_TR1
#define Comp_OverVolt_ctComp__TRIM__TR1_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR1_HS
#define Comp_OverVolt_ctComp__WRK CYREG_CMP_WRK
#define Comp_OverVolt_ctComp__WRK_MASK 0x01u
#define Comp_OverVolt_ctComp__WRK_SHIFT 0

/* ControlOutput */
#define ControlOutput_Sync_ctrl_reg__0__MASK 0x01u
#define ControlOutput_Sync_ctrl_reg__0__POS 0
#define ControlOutput_Sync_ctrl_reg__1__MASK 0x02u
#define ControlOutput_Sync_ctrl_reg__1__POS 1
#define ControlOutput_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define ControlOutput_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define ControlOutput_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB12_13_CTL
#define ControlOutput_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define ControlOutput_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB12_13_CTL
#define ControlOutput_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB12_13_MSK
#define ControlOutput_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define ControlOutput_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB12_13_MSK
#define ControlOutput_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define ControlOutput_Sync_ctrl_reg__2__MASK 0x04u
#define ControlOutput_Sync_ctrl_reg__2__POS 2
#define ControlOutput_Sync_ctrl_reg__3__MASK 0x08u
#define ControlOutput_Sync_ctrl_reg__3__POS 3
#define ControlOutput_Sync_ctrl_reg__4__MASK 0x10u
#define ControlOutput_Sync_ctrl_reg__4__POS 4
#define ControlOutput_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define ControlOutput_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB12_CTL
#define ControlOutput_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB12_ST_CTL
#define ControlOutput_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB12_CTL
#define ControlOutput_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB12_ST_CTL
#define ControlOutput_Sync_ctrl_reg__MASK 0x1Fu
#define ControlOutput_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ControlOutput_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define ControlOutput_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB12_MSK

/* FanController_B_FanCtrl */
#define FanController_B_FanCtrl_AlertMaskLSB__0__MASK 0x01u
#define FanController_B_FanCtrl_AlertMaskLSB__0__POS 0
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB07_08_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_COUNT_COUNT_REG CYREG_B1_UDB07_08_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_MASK_MASK_REG CYREG_B1_UDB07_08_MSK
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_MASK_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_PERIOD_MASK_REG CYREG_B1_UDB07_08_MSK
#define FanController_B_FanCtrl_AlertMaskLSB__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define FanController_B_FanCtrl_AlertMaskLSB__CONTROL_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define FanController_B_FanCtrl_AlertMaskLSB__CONTROL_REG CYREG_B1_UDB07_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__CONTROL_ST_REG CYREG_B1_UDB07_ST_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__COUNT_REG CYREG_B1_UDB07_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__COUNT_ST_REG CYREG_B1_UDB07_ST_CTL
#define FanController_B_FanCtrl_AlertMaskLSB__MASK 0x01u
#define FanController_B_FanCtrl_AlertMaskLSB__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_AlertMaskLSB__PER_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_AlertMaskLSB__PERIOD_REG CYREG_B1_UDB07_MSK
#define FanController_B_FanCtrl_AlertStatusReg__0__MASK 0x01u
#define FanController_B_FanCtrl_AlertStatusReg__0__POS 0
#define FanController_B_FanCtrl_AlertStatusReg__1__MASK 0x02u
#define FanController_B_FanCtrl_AlertStatusReg__1__POS 1
#define FanController_B_FanCtrl_AlertStatusReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define FanController_B_FanCtrl_AlertStatusReg__16BIT_STATUS_REG CYREG_B0_UDB07_08_ST
#define FanController_B_FanCtrl_AlertStatusReg__MASK 0x03u
#define FanController_B_FanCtrl_AlertStatusReg__MASK_REG CYREG_B0_UDB07_MSK
#define FanController_B_FanCtrl_AlertStatusReg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_AlertStatusReg__PER_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_AlertStatusReg__STATUS_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define FanController_B_FanCtrl_AlertStatusReg__STATUS_CNT_REG CYREG_B0_UDB07_ST_CTL
#define FanController_B_FanCtrl_AlertStatusReg__STATUS_CONTROL_REG CYREG_B0_UDB07_ST_CTL
#define FanController_B_FanCtrl_AlertStatusReg__STATUS_REG CYREG_B0_UDB07_ST
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__A0_A1_REG CYREG_B1_UDB11_A0_A1
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__A0_REG CYREG_B1_UDB11_A0
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__A1_REG CYREG_B1_UDB11_A1
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__D0_D1_REG CYREG_B1_UDB11_D0_D1
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__D0_REG CYREG_B1_UDB11_D0
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__D1_REG CYREG_B1_UDB11_D1
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__DP_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__F0_F1_REG CYREG_B1_UDB11_F0_F1
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__F0_REG CYREG_B1_UDB11_F0
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__F1_REG CYREG_B1_UDB11_F1
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_PWM8_ClosedLoopFan8_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__CONTROL_REG CYREG_B1_UDB11_CTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__CONTROL_ST_REG CYREG_B1_UDB11_ST_CTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__COUNT_REG CYREG_B1_UDB11_CTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__COUNT_ST_REG CYREG_B1_UDB11_ST_CTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter__PERIOD_REG CYREG_B1_UDB11_MSK
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__MASK_REG CYREG_B1_UDB11_MSK
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__STATUS_CNT_REG CYREG_B1_UDB11_ST_CTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB11_ST_CTL
#define FanController_B_FanCtrl_CLOSED_LOOP_Fan_1_SpeedErrorCounter_ST__STATUS_REG CYREG_B1_UDB11_ST
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__0__MASK 0x01u
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__0__POS 0
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__1__MASK 0x02u
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__1__POS 1
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__16BIT_STATUS_REG CYREG_B1_UDB07_08_ST
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__MASK 0x03u
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__MASK_REG CYREG_B1_UDB07_MSK
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__MASK_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__PER_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__STATUS_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__STATUS_CNT_REG CYREG_B1_UDB07_ST_CTL
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__STATUS_CONTROL_REG CYREG_B1_UDB07_ST_CTL
#define FanController_B_FanCtrl_DmaEoc_Sm_Dma_Status__STATUS_REG CYREG_B1_UDB07_ST
#define FanController_B_FanCtrl_GlobalControlReg__0__MASK 0x01u
#define FanController_B_FanCtrl_GlobalControlReg__0__POS 0
#define FanController_B_FanCtrl_GlobalControlReg__1__MASK 0x02u
#define FanController_B_FanCtrl_GlobalControlReg__1__POS 1
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB07_08_CTL
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB07_08_CTL
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_MASK_MASK_REG CYREG_B0_UDB07_08_MSK
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB07_08_MSK
#define FanController_B_FanCtrl_GlobalControlReg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define FanController_B_FanCtrl_GlobalControlReg__2__MASK 0x04u
#define FanController_B_FanCtrl_GlobalControlReg__2__POS 2
#define FanController_B_FanCtrl_GlobalControlReg__5__MASK 0x20u
#define FanController_B_FanCtrl_GlobalControlReg__5__POS 5
#define FanController_B_FanCtrl_GlobalControlReg__6__MASK 0x40u
#define FanController_B_FanCtrl_GlobalControlReg__6__POS 6
#define FanController_B_FanCtrl_GlobalControlReg__CONTROL_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define FanController_B_FanCtrl_GlobalControlReg__CONTROL_REG CYREG_B0_UDB07_CTL
#define FanController_B_FanCtrl_GlobalControlReg__CONTROL_ST_REG CYREG_B0_UDB07_ST_CTL
#define FanController_B_FanCtrl_GlobalControlReg__COUNT_REG CYREG_B0_UDB07_CTL
#define FanController_B_FanCtrl_GlobalControlReg__COUNT_ST_REG CYREG_B0_UDB07_ST_CTL
#define FanController_B_FanCtrl_GlobalControlReg__MASK 0x67u
#define FanController_B_FanCtrl_GlobalControlReg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_GlobalControlReg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define FanController_B_FanCtrl_GlobalControlReg__PERIOD_REG CYREG_B0_UDB07_MSK
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__0__MASK 0x01u
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__0__POS 0
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__16BIT_STATUS_REG CYREG_B0_UDB06_07_ST
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__MASK 0x01u
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__MASK_REG CYREG_B0_UDB06_MSK
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__STATUS_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define FanController_B_FanCtrl_SpeedAlrt_SpeedError_LSB__STATUS_REG CYREG_B0_UDB06_ST
#define FanController_B_FanCtrl_StallError_LSB__0__MASK 0x01u
#define FanController_B_FanCtrl_StallError_LSB__0__POS 0
#define FanController_B_FanCtrl_StallError_LSB__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define FanController_B_FanCtrl_StallError_LSB__16BIT_STATUS_REG CYREG_B1_UDB05_06_ST
#define FanController_B_FanCtrl_StallError_LSB__MASK 0x01u
#define FanController_B_FanCtrl_StallError_LSB__MASK_REG CYREG_B1_UDB05_MSK
#define FanController_B_FanCtrl_StallError_LSB__STATUS_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define FanController_B_FanCtrl_StallError_LSB__STATUS_REG CYREG_B1_UDB05_ST

/* FanController_FanTach */
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_A0_REG CYREG_B0_UDB06_07_A0
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_A1_REG CYREG_B0_UDB06_07_A1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_D0_REG CYREG_B0_UDB06_07_D0
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_D1_REG CYREG_B0_UDB06_07_D1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_F0_REG CYREG_B0_UDB06_07_F0
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__16BIT_F1_REG CYREG_B0_UDB06_07_F1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__A0_A1_REG CYREG_B0_UDB06_A0_A1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__A0_REG CYREG_B0_UDB06_A0
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__A1_REG CYREG_B0_UDB06_A1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__D0_D1_REG CYREG_B0_UDB06_D0_D1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__D0_REG CYREG_B0_UDB06_D0
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__D1_REG CYREG_B0_UDB06_D1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__DP_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__F0_F1_REG CYREG_B0_UDB06_F0_F1
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__F0_REG CYREG_B0_UDB06_F0
#define FanController_FanTach_DmpgFactor_DmpgTimeCntr_u0__F1_REG CYREG_B0_UDB06_F1
#define FanController_FanTach_FanCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define FanController_FanTach_FanCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define FanController_FanTach_FanCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB04_05_CTL
#define FanController_FanTach_FanCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define FanController_FanTach_FanCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB04_05_CTL
#define FanController_FanTach_FanCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB04_05_MSK
#define FanController_FanTach_FanCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define FanController_FanTach_FanCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB04_05_MSK
#define FanController_FanTach_FanCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define FanController_FanTach_FanCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define FanController_FanTach_FanCounter__CONTROL_REG CYREG_B1_UDB04_CTL
#define FanController_FanTach_FanCounter__CONTROL_ST_REG CYREG_B1_UDB04_ST_CTL
#define FanController_FanTach_FanCounter__COUNT_REG CYREG_B1_UDB04_CTL
#define FanController_FanTach_FanCounter__COUNT_ST_REG CYREG_B1_UDB04_ST_CTL
#define FanController_FanTach_FanCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define FanController_FanTach_FanCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define FanController_FanTach_FanCounter__PERIOD_REG CYREG_B1_UDB04_MSK
#define FanController_FanTach_FanCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define FanController_FanTach_FanCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB04_05_ST
#define FanController_FanTach_FanCounter_ST__MASK_REG CYREG_B1_UDB04_MSK
#define FanController_FanTach_FanCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define FanController_FanTach_FanCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define FanController_FanTach_FanCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define FanController_FanTach_FanCounter_ST__STATUS_CNT_REG CYREG_B1_UDB04_ST_CTL
#define FanController_FanTach_FanCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB04_ST_CTL
#define FanController_FanTach_FanCounter_ST__STATUS_REG CYREG_B1_UDB04_ST
#define FanController_FanTach_FanTachCounter_u0__16BIT_A0_REG CYREG_B1_UDB04_05_A0
#define FanController_FanTach_FanTachCounter_u0__16BIT_A1_REG CYREG_B1_UDB04_05_A1
#define FanController_FanTach_FanTachCounter_u0__16BIT_D0_REG CYREG_B1_UDB04_05_D0
#define FanController_FanTach_FanTachCounter_u0__16BIT_D1_REG CYREG_B1_UDB04_05_D1
#define FanController_FanTach_FanTachCounter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define FanController_FanTach_FanTachCounter_u0__16BIT_F0_REG CYREG_B1_UDB04_05_F0
#define FanController_FanTach_FanTachCounter_u0__16BIT_F1_REG CYREG_B1_UDB04_05_F1
#define FanController_FanTach_FanTachCounter_u0__A0_A1_REG CYREG_B1_UDB04_A0_A1
#define FanController_FanTach_FanTachCounter_u0__A0_REG CYREG_B1_UDB04_A0
#define FanController_FanTach_FanTachCounter_u0__A1_REG CYREG_B1_UDB04_A1
#define FanController_FanTach_FanTachCounter_u0__D0_D1_REG CYREG_B1_UDB04_D0_D1
#define FanController_FanTach_FanTachCounter_u0__D0_REG CYREG_B1_UDB04_D0
#define FanController_FanTach_FanTachCounter_u0__D1_REG CYREG_B1_UDB04_D1
#define FanController_FanTach_FanTachCounter_u0__DP_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define FanController_FanTach_FanTachCounter_u0__F0_F1_REG CYREG_B1_UDB04_F0_F1
#define FanController_FanTach_FanTachCounter_u0__F0_REG CYREG_B1_UDB04_F0
#define FanController_FanTach_FanTachCounter_u0__F1_REG CYREG_B1_UDB04_F1
#define FanController_FanTach_FanTachCounter_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define FanController_FanTach_FanTachCounter_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define FanController_FanTach_FanTachCounter_u1__16BIT_A0_REG CYREG_B1_UDB05_06_A0
#define FanController_FanTach_FanTachCounter_u1__16BIT_A1_REG CYREG_B1_UDB05_06_A1
#define FanController_FanTach_FanTachCounter_u1__16BIT_D0_REG CYREG_B1_UDB05_06_D0
#define FanController_FanTach_FanTachCounter_u1__16BIT_D1_REG CYREG_B1_UDB05_06_D1
#define FanController_FanTach_FanTachCounter_u1__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define FanController_FanTach_FanTachCounter_u1__16BIT_F0_REG CYREG_B1_UDB05_06_F0
#define FanController_FanTach_FanTachCounter_u1__16BIT_F1_REG CYREG_B1_UDB05_06_F1
#define FanController_FanTach_FanTachCounter_u1__A0_A1_REG CYREG_B1_UDB05_A0_A1
#define FanController_FanTach_FanTachCounter_u1__A0_REG CYREG_B1_UDB05_A0
#define FanController_FanTach_FanTachCounter_u1__A1_REG CYREG_B1_UDB05_A1
#define FanController_FanTach_FanTachCounter_u1__D0_D1_REG CYREG_B1_UDB05_D0_D1
#define FanController_FanTach_FanTachCounter_u1__D0_REG CYREG_B1_UDB05_D0
#define FanController_FanTach_FanTachCounter_u1__D1_REG CYREG_B1_UDB05_D1
#define FanController_FanTach_FanTachCounter_u1__DP_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define FanController_FanTach_FanTachCounter_u1__F0_F1_REG CYREG_B1_UDB05_F0_F1
#define FanController_FanTach_FanTachCounter_u1__F0_REG CYREG_B1_UDB05_F0
#define FanController_FanTach_FanTachCounter_u1__F1_REG CYREG_B1_UDB05_F1
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_A0_REG CYREG_B1_UDB06_07_A0
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_A1_REG CYREG_B1_UDB06_07_A1
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_D0_REG CYREG_B1_UDB06_07_D0
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_D1_REG CYREG_B1_UDB06_07_D1
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_F0_REG CYREG_B1_UDB06_07_F0
#define FanController_FanTach_GlitchFilterTimer_u0__16BIT_F1_REG CYREG_B1_UDB06_07_F1
#define FanController_FanTach_GlitchFilterTimer_u0__A0_A1_REG CYREG_B1_UDB06_A0_A1
#define FanController_FanTach_GlitchFilterTimer_u0__A0_REG CYREG_B1_UDB06_A0
#define FanController_FanTach_GlitchFilterTimer_u0__A1_REG CYREG_B1_UDB06_A1
#define FanController_FanTach_GlitchFilterTimer_u0__D0_D1_REG CYREG_B1_UDB06_D0_D1
#define FanController_FanTach_GlitchFilterTimer_u0__D0_REG CYREG_B1_UDB06_D0
#define FanController_FanTach_GlitchFilterTimer_u0__D1_REG CYREG_B1_UDB06_D1
#define FanController_FanTach_GlitchFilterTimer_u0__DP_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define FanController_FanTach_GlitchFilterTimer_u0__F0_F1_REG CYREG_B1_UDB06_F0_F1
#define FanController_FanTach_GlitchFilterTimer_u0__F0_REG CYREG_B1_UDB06_F0
#define FanController_FanTach_GlitchFilterTimer_u0__F1_REG CYREG_B1_UDB06_F1

/* FanController_PWM_CLOCK_25k_8b */
#define FanController_PWM_CLOCK_25k_8b__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define FanController_PWM_CLOCK_25k_8b__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define FanController_PWM_CLOCK_25k_8b__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define FanController_PWM_CLOCK_25k_8b__CFG2_SRC_SEL_MASK 0x07u
#define FanController_PWM_CLOCK_25k_8b__INDEX 0x01u
#define FanController_PWM_CLOCK_25k_8b__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define FanController_PWM_CLOCK_25k_8b__PM_ACT_MSK 0x02u
#define FanController_PWM_CLOCK_25k_8b__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define FanController_PWM_CLOCK_25k_8b__PM_STBY_MSK 0x02u

/* FanController_TACH_CLK_500K */
#define FanController_TACH_CLK_500K__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define FanController_TACH_CLK_500K__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define FanController_TACH_CLK_500K__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define FanController_TACH_CLK_500K__CFG2_SRC_SEL_MASK 0x07u
#define FanController_TACH_CLK_500K__INDEX 0x02u
#define FanController_TACH_CLK_500K__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define FanController_TACH_CLK_500K__PM_ACT_MSK 0x04u
#define FanController_TACH_CLK_500K__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define FanController_TACH_CLK_500K__PM_STBY_MSK 0x04u

/* FanController_TachInDMA */
#define FanController_TachInDMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define FanController_TachInDMA__DRQ_NUMBER 1u
#define FanController_TachInDMA__NUMBEROF_TDS 0u
#define FanController_TachInDMA__PRIORITY 2u
#define FanController_TachInDMA__TERMIN_EN 0u
#define FanController_TachInDMA__TERMIN_SEL 0u
#define FanController_TachInDMA__TERMOUT0_EN 1u
#define FanController_TachInDMA__TERMOUT0_SEL 1u
#define FanController_TachInDMA__TERMOUT1_EN 0u
#define FanController_TachInDMA__TERMOUT1_SEL 0u

/* FanController_TachOutDMA */
#define FanController_TachOutDMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define FanController_TachOutDMA__DRQ_NUMBER 2u
#define FanController_TachOutDMA__NUMBEROF_TDS 0u
#define FanController_TachOutDMA__PRIORITY 2u
#define FanController_TachOutDMA__TERMIN_EN 0u
#define FanController_TachOutDMA__TERMIN_SEL 0u
#define FanController_TachOutDMA__TERMOUT0_EN 1u
#define FanController_TachOutDMA__TERMOUT0_SEL 2u
#define FanController_TachOutDMA__TERMOUT1_EN 0u
#define FanController_TachOutDMA__TERMOUT1_SEL 0u

/* OutCurrAmpl_1_SC */
#define OutCurrAmpl_1_SC__BST CYREG_SC1_BST
#define OutCurrAmpl_1_SC__CLK CYREG_SC1_CLK
#define OutCurrAmpl_1_SC__CMPINV CYREG_SC_CMPINV
#define OutCurrAmpl_1_SC__CMPINV_MASK 0x02u
#define OutCurrAmpl_1_SC__CPTR CYREG_SC_CPTR
#define OutCurrAmpl_1_SC__CPTR_MASK 0x02u
#define OutCurrAmpl_1_SC__CR0 CYREG_SC1_CR0
#define OutCurrAmpl_1_SC__CR1 CYREG_SC1_CR1
#define OutCurrAmpl_1_SC__CR2 CYREG_SC1_CR2
#define OutCurrAmpl_1_SC__MSK CYREG_SC_MSK
#define OutCurrAmpl_1_SC__MSK_MASK 0x02u
#define OutCurrAmpl_1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define OutCurrAmpl_1_SC__PM_ACT_MSK 0x02u
#define OutCurrAmpl_1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define OutCurrAmpl_1_SC__PM_STBY_MSK 0x02u
#define OutCurrAmpl_1_SC__SR CYREG_SC_SR
#define OutCurrAmpl_1_SC__SR_MASK 0x02u
#define OutCurrAmpl_1_SC__SW0 CYREG_SC1_SW0
#define OutCurrAmpl_1_SC__SW10 CYREG_SC1_SW10
#define OutCurrAmpl_1_SC__SW2 CYREG_SC1_SW2
#define OutCurrAmpl_1_SC__SW3 CYREG_SC1_SW3
#define OutCurrAmpl_1_SC__SW4 CYREG_SC1_SW4
#define OutCurrAmpl_1_SC__SW6 CYREG_SC1_SW6
#define OutCurrAmpl_1_SC__SW7 CYREG_SC1_SW7
#define OutCurrAmpl_1_SC__SW8 CYREG_SC1_SW8
#define OutCurrAmpl_1_SC__WRK1 CYREG_SC_WRK1
#define OutCurrAmpl_1_SC__WRK1_MASK 0x02u

/* SysClkCounter_CounterHW */
#define SysClkCounter_CounterHW__CAP0 CYREG_TMR0_CAP0
#define SysClkCounter_CounterHW__CAP1 CYREG_TMR0_CAP1
#define SysClkCounter_CounterHW__CFG0 CYREG_TMR0_CFG0
#define SysClkCounter_CounterHW__CFG1 CYREG_TMR0_CFG1
#define SysClkCounter_CounterHW__CFG2 CYREG_TMR0_CFG2
#define SysClkCounter_CounterHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define SysClkCounter_CounterHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define SysClkCounter_CounterHW__PER0 CYREG_TMR0_PER0
#define SysClkCounter_CounterHW__PER1 CYREG_TMR0_PER1
#define SysClkCounter_CounterHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define SysClkCounter_CounterHW__PM_ACT_MSK 0x01u
#define SysClkCounter_CounterHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define SysClkCounter_CounterHW__PM_STBY_MSK 0x01u
#define SysClkCounter_CounterHW__RT0 CYREG_TMR0_RT0
#define SysClkCounter_CounterHW__RT1 CYREG_TMR0_RT1
#define SysClkCounter_CounterHW__SR0 CYREG_TMR0_SR0

/* VDAC_CurrProt_viDAC8 */
#define VDAC_CurrProt_viDAC8__CR0 CYREG_DAC0_CR0
#define VDAC_CurrProt_viDAC8__CR1 CYREG_DAC0_CR1
#define VDAC_CurrProt_viDAC8__D CYREG_DAC0_D
#define VDAC_CurrProt_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_CurrProt_viDAC8__PM_ACT_MSK 0x01u
#define VDAC_CurrProt_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_CurrProt_viDAC8__PM_STBY_MSK 0x01u
#define VDAC_CurrProt_viDAC8__STROBE CYREG_DAC0_STROBE
#define VDAC_CurrProt_viDAC8__SW0 CYREG_DAC0_SW0
#define VDAC_CurrProt_viDAC8__SW2 CYREG_DAC0_SW2
#define VDAC_CurrProt_viDAC8__SW3 CYREG_DAC0_SW3
#define VDAC_CurrProt_viDAC8__SW4 CYREG_DAC0_SW4
#define VDAC_CurrProt_viDAC8__TR CYREG_DAC0_TR
#define VDAC_CurrProt_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define VDAC_CurrProt_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define VDAC_CurrProt_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define VDAC_CurrProt_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define VDAC_CurrProt_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define VDAC_CurrProt_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define VDAC_CurrProt_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define VDAC_CurrProt_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define VDAC_CurrProt_viDAC8__TST CYREG_DAC0_TST

/* VDAC_OverVolt_viDAC8 */
#define VDAC_OverVolt_viDAC8__CR0 CYREG_DAC2_CR0
#define VDAC_OverVolt_viDAC8__CR1 CYREG_DAC2_CR1
#define VDAC_OverVolt_viDAC8__D CYREG_DAC2_D
#define VDAC_OverVolt_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_OverVolt_viDAC8__PM_ACT_MSK 0x04u
#define VDAC_OverVolt_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_OverVolt_viDAC8__PM_STBY_MSK 0x04u
#define VDAC_OverVolt_viDAC8__STROBE CYREG_DAC2_STROBE
#define VDAC_OverVolt_viDAC8__SW0 CYREG_DAC2_SW0
#define VDAC_OverVolt_viDAC8__SW2 CYREG_DAC2_SW2
#define VDAC_OverVolt_viDAC8__SW3 CYREG_DAC2_SW3
#define VDAC_OverVolt_viDAC8__SW4 CYREG_DAC2_SW4
#define VDAC_OverVolt_viDAC8__TR CYREG_DAC2_TR
#define VDAC_OverVolt_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define VDAC_OverVolt_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define VDAC_OverVolt_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define VDAC_OverVolt_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define VDAC_OverVolt_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define VDAC_OverVolt_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define VDAC_OverVolt_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define VDAC_OverVolt_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define VDAC_OverVolt_viDAC8__TST CYREG_DAC2_TST

/* GlitchFilter_1 */
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_A0_REG CYREG_B0_UDB10_11_A0
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_A1_REG CYREG_B0_UDB10_11_A1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_D0_REG CYREG_B0_UDB10_11_D0
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_D1_REG CYREG_B0_UDB10_11_D1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_F0_REG CYREG_B0_UDB10_11_F0
#define GlitchFilter_1_genblk2_Counter0_DP_u0__16BIT_F1_REG CYREG_B0_UDB10_11_F1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__A0_A1_REG CYREG_B0_UDB10_A0_A1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__A0_REG CYREG_B0_UDB10_A0
#define GlitchFilter_1_genblk2_Counter0_DP_u0__A1_REG CYREG_B0_UDB10_A1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__D0_D1_REG CYREG_B0_UDB10_D0_D1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__D0_REG CYREG_B0_UDB10_D0
#define GlitchFilter_1_genblk2_Counter0_DP_u0__D1_REG CYREG_B0_UDB10_D1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__DP_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define GlitchFilter_1_genblk2_Counter0_DP_u0__F0_F1_REG CYREG_B0_UDB10_F0_F1
#define GlitchFilter_1_genblk2_Counter0_DP_u0__F0_REG CYREG_B0_UDB10_F0
#define GlitchFilter_1_genblk2_Counter0_DP_u0__F1_REG CYREG_B0_UDB10_F1

/* GlitchFilter_2 */
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_A0_REG CYREG_B0_UDB13_14_A0
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_A1_REG CYREG_B0_UDB13_14_A1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_D0_REG CYREG_B0_UDB13_14_D0
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_D1_REG CYREG_B0_UDB13_14_D1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB13_14_ACTL
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_F0_REG CYREG_B0_UDB13_14_F0
#define GlitchFilter_2_genblk2_Counter0_DP_u0__16BIT_F1_REG CYREG_B0_UDB13_14_F1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__A0_A1_REG CYREG_B0_UDB13_A0_A1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__A0_REG CYREG_B0_UDB13_A0
#define GlitchFilter_2_genblk2_Counter0_DP_u0__A1_REG CYREG_B0_UDB13_A1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__D0_D1_REG CYREG_B0_UDB13_D0_D1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__D0_REG CYREG_B0_UDB13_D0
#define GlitchFilter_2_genblk2_Counter0_DP_u0__D1_REG CYREG_B0_UDB13_D1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__DP_AUX_CTL_REG CYREG_B0_UDB13_ACTL
#define GlitchFilter_2_genblk2_Counter0_DP_u0__F0_F1_REG CYREG_B0_UDB13_F0_F1
#define GlitchFilter_2_genblk2_Counter0_DP_u0__F0_REG CYREG_B0_UDB13_F0
#define GlitchFilter_2_genblk2_Counter0_DP_u0__F1_REG CYREG_B0_UDB13_F1

/* CurrCompensAmpl_SC */
#define CurrCompensAmpl_SC__BST CYREG_SC3_BST
#define CurrCompensAmpl_SC__CLK CYREG_SC3_CLK
#define CurrCompensAmpl_SC__CMPINV CYREG_SC_CMPINV
#define CurrCompensAmpl_SC__CMPINV_MASK 0x08u
#define CurrCompensAmpl_SC__CPTR CYREG_SC_CPTR
#define CurrCompensAmpl_SC__CPTR_MASK 0x08u
#define CurrCompensAmpl_SC__CR0 CYREG_SC3_CR0
#define CurrCompensAmpl_SC__CR1 CYREG_SC3_CR1
#define CurrCompensAmpl_SC__CR2 CYREG_SC3_CR2
#define CurrCompensAmpl_SC__MSK CYREG_SC_MSK
#define CurrCompensAmpl_SC__MSK_MASK 0x08u
#define CurrCompensAmpl_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define CurrCompensAmpl_SC__PM_ACT_MSK 0x08u
#define CurrCompensAmpl_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define CurrCompensAmpl_SC__PM_STBY_MSK 0x08u
#define CurrCompensAmpl_SC__SR CYREG_SC_SR
#define CurrCompensAmpl_SC__SR_MASK 0x08u
#define CurrCompensAmpl_SC__SW0 CYREG_SC3_SW0
#define CurrCompensAmpl_SC__SW10 CYREG_SC3_SW10
#define CurrCompensAmpl_SC__SW2 CYREG_SC3_SW2
#define CurrCompensAmpl_SC__SW3 CYREG_SC3_SW3
#define CurrCompensAmpl_SC__SW4 CYREG_SC3_SW4
#define CurrCompensAmpl_SC__SW6 CYREG_SC3_SW6
#define CurrCompensAmpl_SC__SW7 CYREG_SC3_SW7
#define CurrCompensAmpl_SC__SW8 CYREG_SC3_SW8
#define CurrCompensAmpl_SC__WRK1 CYREG_SC_WRK1
#define CurrCompensAmpl_SC__WRK1_MASK 0x08u

/* VDAC_CurrCompens_viDAC8 */
#define VDAC_CurrCompens_viDAC8__CR0 CYREG_DAC1_CR0
#define VDAC_CurrCompens_viDAC8__CR1 CYREG_DAC1_CR1
#define VDAC_CurrCompens_viDAC8__D CYREG_DAC1_D
#define VDAC_CurrCompens_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_CurrCompens_viDAC8__PM_ACT_MSK 0x02u
#define VDAC_CurrCompens_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_CurrCompens_viDAC8__PM_STBY_MSK 0x02u
#define VDAC_CurrCompens_viDAC8__STROBE CYREG_DAC1_STROBE
#define VDAC_CurrCompens_viDAC8__SW0 CYREG_DAC1_SW0
#define VDAC_CurrCompens_viDAC8__SW2 CYREG_DAC1_SW2
#define VDAC_CurrCompens_viDAC8__SW3 CYREG_DAC1_SW3
#define VDAC_CurrCompens_viDAC8__SW4 CYREG_DAC1_SW4
#define VDAC_CurrCompens_viDAC8__TR CYREG_DAC1_TR
#define VDAC_CurrCompens_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC1_M1
#define VDAC_CurrCompens_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC1_M2
#define VDAC_CurrCompens_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC1_M3
#define VDAC_CurrCompens_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC1_M4
#define VDAC_CurrCompens_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC1_M5
#define VDAC_CurrCompens_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC1_M6
#define VDAC_CurrCompens_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC1_M7
#define VDAC_CurrCompens_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC1_M8
#define VDAC_CurrCompens_viDAC8__TST CYREG_DAC1_TST

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 4u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 5u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_4D 3u
#define CYDEV_CHIP_MEMBER_5A 4u
#define CYDEV_CHIP_MEMBER_5B 5u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4D_ES0 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 1
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 0
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_DP8051_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x0000003Fu
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
