/* ========================================
 *
 * Copyright VIOR, 2014
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF VIOR.
 *
 * ========================================
*/

/* [] END OF FILE */

#include <device.h>

//uint16 abs_diff_uint16(uint16 AValue1, uint16 AValue2) {
//  if (AValue1 > AValue2) 
//    return(AValue1 - AValue2);
//  else
//    return(AValue2 - AValue1);
//}

TSysClk SysClk_GetPeriod(TSysClk Counter) reentrant {
TSysClk ClkCounter = SysClkCounter_ReadCounter();	
	if (ClkCounter < Counter) return (Counter - ClkCounter);
	else if (ClkCounter > Counter) return (Counter - ~ClkCounter);
	else return (0);
}

bool SysClk_CheckPeriod(PTSysClk pCounter, TSysClk Period) {
TSysClk ClkCounter = SysClkCounter_ReadCounter();	
TSysClk t = *pCounter;
  if (ClkCounter == t) return (FALSE); 
  else if (ClkCounter < t) 
	  t = t - ClkCounter;
  else 
	  t = t - ~ClkCounter; 
	if (t < Period) return (FALSE);
	*pCounter = ClkCounter; 
	return (TRUE);
}

bool SysClk_OverPeriod(PTSysClk pCounter, TSysClk Period) {
TSysClk ClkCounter = SysClkCounter_ReadCounter();	
TSysClk t = *pCounter;
	*pCounter = ClkCounter; 
  if (ClkCounter == t) return (FALSE); 
  else if (ClkCounter < t) 
	  t = t - ClkCounter;
  else 
	  t = t - ~ClkCounter; 
	if (t < Period) return (FALSE);
	return (TRUE);
}


