/* ========================================
 *
 * Copyright VIOR, 2014
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF VIOR.
 *
 * ========================================
*/
#include <project.h>
#include <device.h>
#include <stdio.h>

TDevice PowerUnit;

int main() {
	
  InitSystem();
  InitDisplay();
	InitFan();
	InitOutput();
  InitMouse();
  CyGlobalIntEnable;  /* Uncomment this line to enable global interrupts. */
	InitAnalog();


  for(;;) {
		ADCHandler();
		CheckTemper();
		MouseHandler();
		LCDMenuHandler();		
		WorkModeHandler();
#ifndef DEBUG		
		CyWdtClear();
#endif		
  }
}

/* [] END OF FILE */
